function check_i(element) {
    var td = $(element).parent();
    if ($(element).is(':checked'))
        $(td).find('.config_val').removeAttr('disabled');
    else
        $(td).find('.config_val').attr('disabled', 'disabled');
}

$(function () {

    $('#newshelfnav').TabbedMenu({
        elem: '.sectioncontent',
        picker: '.list-1 li',
        aclass: 'active',
        picked: $('#picked_tab').val()
    });

    $('#colorSelector').ColorPicker({
        onSubmit: function (hsb, hex, rgb, el) {
            $(el).val(hex);
            $(el).ColorPickerHide();
        },
        onChange: function (hsb, hex, rgb) {
            $('#colorSelector').css('backgroundColor', '#' + hex);
            $('#colorSelector_i').val(hex);
        },
        livePreview: true,
        color: $('#colorSelector_i').val()
    });

    $('select[data-chosen]').chosenedge({
        width: "100%",
        search_contains: true,
    });

    //toggle override options
    $('.toc').on('click init', function () {
        var self = $(this);
        self.parent().find('.contener')
            .toggle(self.is(':checked'))
    }).trigger('init');


    $("#DiscountFormsToggle").on('change', function(){
        var select = $('#DiscountForms');
        select.prop('disabled', !this.checked).trigger('chosen:updated');
        select.closest('.form-group').toggleClass('disabled', !this.checked)
    }).trigger('change')

    function replace(tpl, data) {
        for (var name in data) {
            tpl = tpl.split('%' + name + '%').join(data[name]);
        }
        return tpl;
    }

    var discounttpl = document.getElementById('product-discount').innerHTML,
        ratetpl = document.getElementById('suport-rate').innerHTML;

    $('.add-product-dicount').on('click', function () {
        var tr, html, data = {
            product_id: $('#product_id').val(),
            discount: $('#discount_value').val(),
            type: $('#discount_type').val(),
            typeunit: ($('#discount_type').val() == 'percent') ? '%' : '',
            name: $('#product_id option:selected').text(),
        };

        tr = $('#' + data.product_id, '#product-discounts');
        html = replace(discounttpl, data);
        if (tr.length)
            tr.replaceWith(html)
        else
            $('#product-discounts').append(html);
    });

    $('.add-support-rate').on('click', function () {
        var opt = $('#rate_id option:selected'),
            data = {
                rate_id: opt.val(),
                price: $('#rate_value').val(),
                type: $('#currency-iso').text() + ' ' + opt.data('type'),
                name: opt.text(),
                id: $('#support-rates tr').length
            };
        $('#support-rates').append(replace(ratetpl, data));
    });

    $('#rate_id').change(function () {
        $('#rate_value').val($('option:selected', this).data('price'));
    }).trigger('change');

    $('#support-rates, #product-discounts').on('click', '.remove-entry', function () {
        $(this).closest('tr').remove();
        return false;
    });

    (function(){
        var input = $('#add-cc-form'),
            btn = $('#add-cc-btn'),
            body = $('#add-cc-body'),
            setting = $('#cc-form');

        btn.on('click', function(){
            var valid = input[0].reportValidity && input[0].reportValidity() || input[0].checkValidity(),
                email = input.val();

            if(!valid || email == ''){
                return false;
            }

            input.val('');
            setting.data('emails').push(email);
            setting.trigger('change');
            return false;
        })

        setting.on('change init', function(e){
            if(e.type == 'init'){
                setting.data('emails', setting.val() == '' ? [] : setting.val().split(','))
            }else{
                setting.val(setting.data('emails').join(','))
            }
            var html = [];
            $.each(setting.data('emails'), function(i, email){
                html.push('<span class="btn-group"><span class="btn btn-default btn-static">'+email+'</span><span class="btn btn-default del"><i class="fa fa-times"></i></span></span>');
            })
            body.html(html.join(' ') || '<em>No email added yet.</em>')
        }).trigger('init')

        body.on('click', '.del', function () {
            var email = $(this).prev().text(),
                emails = setting.data('emails');

            emails.splice(emails.indexOf(email), 1)
            setting.data('emails', emails)
            setting.trigger('change');
        })

    })()
})