{if $task.description}
    <div class="form-group">
        {$task.description}
    </div>
{/if}

<div>
    <label class="nodescr">Execute</label>
    <div class="row">
        <div class="form-group col-md-2">
            <input name="days" size="2"
                   value="{if isset($task.interval)}{$task.interval}{else}1{/if}"
                   type="number" class="form-control"/>
        </div>
        <div class="form-group col-md-2">
            <select name="interval_type" id="interval_type" class="form-control">
                <option value="DAY"
                        {if $task.interval_type=='DAY'}selected="selected"{/if}>
                    {$lang.days}
                </option>
                <option value="HOUR"
                        {if $task.interval_type=='HOUR'}selected="selected"{/if}>
                    {$lang.hours}
                </option>
                <option value="MINUTE"
                        {if $task.interval_type=='MINUTE'}selected="selected"{/if}
                        {if $task.when=='before' or !$task.id}style="display:none"{/if}>
                    {$lang.minutes}
                </option>
            </select>
        </div>
        <div class="form-group col-md-2">
            <select name="when" class="form-control tasklist-task-when">
                {if $task.havebefore}
                    <option value="before"
                            {if $task.when=='before'}selected="selected"{/if}>
                        {$lang.before}
                    </option>
                {/if}
                {if $task.haveafter}
                    <option value="after"
                            {if $task.when=='after'}selected="selected"{/if}>
                        {$lang.after}
                    </option>
                {/if}
            </select>
        </div>
        <div class="form-group col-md-4">
            {if $task.havebefore}
                <select name="what_before" id="what_before"
                        {if $task.when=='after'}style='display:none'{/if} class="form-control">
                    {foreach from=$task.events item=event key=eventname}
                        {if $event.before}
                            <option value="{$eventname}"
                                    {if $eventname==$task.event}selected="selected"{/if}>
                                {if $lang[$eventname]}{$lang[$eventname]}{else}{$eventname}{/if}
                            </option>
                        {/if}
                    {/foreach}
                </select>
            {/if}
            {if $task.haveafter}
                <select name="what_after" id="what_after"
                        {if $task.havebefore && $task.when!='after'}style="display:none"{/if}
                        class="form-control">
                    {foreach from=$task.events item=event key=eventname}
                        {if $event.after}
                            <option value="{$eventname}"
                                    {if $eventname==$task.event}selected="selected"{/if}>
                                {if $lang[$eventname]}{$lang[$eventname]}{else}{$eventname}{/if}
                            </option>
                        {/if}
                    {/foreach}
                </select>
            {/if}
        </div>
    </div>
</div>

{if $task.filters}
    <div class="form-group">
        <a class="btn btn-default btn-xs tasklist-contitions">
            <i class="fa fa-code"></i>
            Additional conditions
        </a>
        <div id="query-builder"
             data-filters="{$task.filters|@json_encode|escape}"
             data-rules="{$task.conditions|@json_encode|escape}"></div>
    </div>
{/if}

{foreach from=$task.config item=conf key=k}
    <div class="form-group">
        {if $conf.type != 'checkbox' && $conf.type != 'radio'}
            <label>{$conf.name}</label>
        {/if}
        {if $k=='email_id'}
            <div id="new_taskmail_msg" class="form-group">
                <select name="config[email_id]" class="form-control">
                    {foreach from=$conf.default.All item=email}
                        <option value="{$email.id}"
                                {if $conf.value==$email.id}selected="selected"{/if}>
                            {$email.tplname}
                        </option>
                    {/foreach}
                </select>
            </div>
            {$lang.Or}
            <a href="?cmd=emailtemplates&action=add&inline=true&to=new_taskmail&dontclose=true"
               class="btn btn-default btn-compose-msg btn-xs" target="_blank" >
                <i class="fa fa-plus-square"></i> {$lang.composenewmsg}
            </a>
        {else}
            {if $conf.type=='select'}
                <select name="config[{$k}]" class="form-control">
                    {foreach from=$conf.default item=i}
                        <option {if $conf.value==$i}selected="selected"{/if}>{$i}</option>
                    {/foreach}
                </select>
            {elseif $conf.type=='loadable'}
                <select name="config[{$k}]" class="form-control">
                    {foreach from=$conf.default item=i}
                        <option value="{if $i.id}{$i.id}{else}{$i.name}{/if}"
                                {if $conf.value==$i.id}selected="selected"{/if}>
                            {if $i.name}{$i.name}{/if}
                        </option>
                    {/foreach}
                </select>
            {elseif $conf.type=='textarea'}
                <textarea name="config[{$k}]" rows="6"
                          placeholder="{$conf.default}"
                          class="form-control">{$conf.value}</textarea>
            {elseif $conf.type=='checkbox'}
                <div class="checkbox">
                    <label>
                        <input name="config[{$k}]" type="checkbox"
                               {if $conf.value}checked="checked"{/if} value="1"
                               title="{$conf.default}" />
                        {$conf.name}
                    </label>
                </div>
            {elseif $conf.type=='input'}
                <input name="config[{$k}]" class="form-control" rows="6"
                       value="{$conf.value}" type="text"/>
            {/if}
        {/if}
    </div>
{/foreach}
<div class="clear"></div>

