<ul class="accor white cert">
    <li>
        <a href="#">Certificate Details</a>
        <div class="sor" >
            <div class="row ">
                <div class="col-md-2"><strong>Common name</strong></div>
                <div class="col-md-8">
                    {$cert.cn}
                </div>              
            </div>
            <div class="row ">
                <div class="col-md-2"><strong>Actions</strong></div>
                <div class="col-md-8">
                    <button id="show-csr" class="btn btn-default btn-sm">Show CSR</button>
                    {if $cert.status == 'Awaiting Validation'}
                        <a id="show-csr" class="btn btn-default btn-sm" href="?cmd=accounts&action=edit&id={$details.id}&resetdcv">Resend Email / Reset DCV frequency</a>
                    {/if}
                </div>      
            </div>

            {if $cert.san}
                <div class="row ">
                    <div class="col-md-2"><strong>SAN</strong></div>
                    <div class="col-md-8">
                        {foreach from=$cert.san item=san}
                            <div>{$san}
                            </div>
                        {/foreach}
                    </div>              
                </div>
            {/if}
            <div class="row ">
                <div class="col-md-2"><strong>DCV Method</strong></div>
                <div class="col-md-8">{$cert.dcv|default:'N/A'|upper}</div>
            </div>
            {if $dcv.type == 'http' || $dcv.type == 'https'}
            <div class="row ">
                <hr />
                <div class="col-md-12">
                    <p><strong>File Verification</strong></p>
                    <p>Files have to be publicly accessible trough HTTP(S) under those URL(s):</p>
                    {foreach from=$dcv.details item=dcvn key=dcvname}
                        <p>
                            {if $dcvn.status}
                                <span class="pull-right label label-default"
                                >{$dcvn.status}</span>
                            {/if}
                            <strong>For {$dcvname}:</strong>
                        </p>
                        <pre>{$dcvn.url|escape}</pre>
                    {/foreach}
                    <p>Each file must contain this data:</p>
                    <pre>{$dcv.file_data|escape}</pre>
                </div>
            </div>
            {/if}
            {if $dcv.type == 'dns'}
            <div class="row ">
                <hr />
                <div class="col-md-12">
                    <p><strong>DNS Verification</strong></p>
                    <p>Records shown below have to be added to DNS zone</p>
                    {foreach from=$dcv.details item=dcvn key=dcvname}
                        <p>
                            {if $dcvn.status}
                                <span class="pull-right label label-default"
                                >{$dcvn.status}</span>
                            {/if}
                            <strong>For {$dcvname}:</strong>
                        </p>
                        <pre>{$dcvn.name} 3600 IN {$dcvn.type} {$dcvn.content}</pre>
                    {/foreach}
                </div>
            </div>
            {/if}
            {if $dcv.type == 'email'}
            <div class="row ">
                <div class="col-md-2"><strong>DCV Email Content</strong></div>
                <div class="col-md-8">
                    <code>{$cert.approval_email[$cert.cn]}</code>
                </div>
            </div>
            {/if}
        </div>
    </li>
</ul>
<div id="csr-dialog" hidden>
    <strong>Certificate signing request</strong>
    <pre style="margin:auto;">{$cert.csr}</pre>
    {if $cert.csr_data}
        <hr />
        <div>
            <strong>CSR Details</strong>
            <table class="table table-striped">
                {foreach from=$cert.csr_data item=csr key=key}
                    <tr>
                        <td>{$key}</td>
                        <td>{$csr}</td>
                    </tr>
                {/foreach}
            </table>
        </div>
    {/if}
</div>
{literal}
    <style>
        .cert .sor .row{
            margin-bottom: 10px;
        }
    </style>
    <script>
        $(function () {
            $('#show-csr').on('click', function () {
                bootbox.dialog({
                    message: $('#csr-dialog').html()
                })
                return false;
            })
        })
    </script>
{/literal}