<div class="widget">
    {if $act == 'dcv'}
        {include file="`$widget_dir`conf_dcv.tpl"}
    {else}
        <h2>{if $lang[$widget.name]}{$lang[$widget.name]}{elseif $widget.fullname}{$widget.fullname}{else}{$widget.name}{/if}</h2>
        <div class="table-responsive">
            <table width="100%" cellspacing="0" cellpadding="0" border="0" class="checker table table-striped">
                <tr>
                    <td>{$lang.en_cn}:</td>
                    <td>{$cert.cn}</td>
                    <td>{$lang.status}:</td>
                    <td><span class="label label-Active">{$cert.status|capitalize}</span></td>
                </tr>
                <tr>
                    <td>{$lang.webserver}:</td>
                    <td>{$cert.software}</td>
                    <td>{$lang.supplierorderid}:</td>
                    <td>{$cert.order_id}</td>
                </tr>
                {if $cert.status == 'Issued'}
                    <tr>
                        <td>{$lang.creationdate}:</td>
                        <td>{$cert.start_date|dateformat:$date_format}</td>
                        <td>{$lang.expirydate}:</td>
                        <td>{$service.next_due|dateformat:$date_format}</td>
                    </tr>
                {/if}
            </table>
        </div>
        <hr/>
        {if $cert.san}
            <div id="san" class="ssl-block">
                <h3>Subject alternative Names (SAN)</h3>
                <ul>
                    {foreach from=$cert.san item=san}
                        <li>
                            {$san}
                        </li>
                    {/foreach}
                </ul>
            </div>
            <hr/>
        {/if}

        {if $dcv}
            <div id="dcv" class="ssl-block">
                <h3>DCV Details</h3>
                <p>DCV is a mechanism used to prove ownership or control of a registered domain name.</p>

                <h4>{$lang[$dcv.lang]} </h4>
                {if $dcv.type == 'email'}
                {if count($dcv.details) > 1}
                    <table class="table">
                        <tr>
                            <th>Domain</th>
                            <th>Approval email</th>
                            <th></th>
                        </tr>
                        {foreach from=$dcv.details item=email key=name}
                            <tr>
                                <td>{$name}</td>
                                <td>{$email.name}</td>
                                <td>
                                    {if  $email.status}
                                        <span class="label label-{$email.status.class}">{$email.status.name}</span>
                                    {/if}
                                </td>
                            </tr>
                        {/foreach}
                    </table>
                {else}
                {foreach from=$dcv.details item=email key=name}
                    <p>
                        {$lang.en_appemail} for {$name}: <strong>{$email.name}</strong>
                    </p>
                {/foreach}
                {/if}
                {if $dcv.canAct}
                    <a href="{$widget_url}&act=resendemail" class="btn btn-primary" />{$lang.resendapproveemail}</a>
                <a href="{$widget_url}&act=dcv" class="btn btn-primary"/>Change DCV Email</a>
                {/if}
                {elseif $dcv.type == 'dns'}
                    <form action="{$widget_url}&act=verify" method="POST">

                        <p>Please follow the instructions below to complete the DNS Record Verification Method:</p>
                        <ol>
                            <li>Open your DNS Manager/Zone</li>
                            <li>Create the following {$dcv.record_type} record using values below: <br/><br/>
                                {foreach from=$dcv.details item=dcvn key=dcvname}
                                    <p>
                                        {if $dcvn.status}
                                            <span class="pull-right right label label-{$dcvn.status.class}"
                                            >{$dcvn.status.name}</span>
                                        {/if}
                                        <strong>For {$dcvname}:</strong>
                                    </p>
                                    <pre id="zone-{$dcvn.domain}" style="overflow: auto; white-space: pre"
                                    ><code>{$dcvn.name} 3600 IN {$dcvn.type} {$dcvn.content}</code></pre>
                                {/foreach}
                            </li>
                            {if $dcv.canAct}
                                <li>
                                    <button class="btn btn-success" type="submit">
                                        Verify DNS record for domain
                                    </button>
                                </li>
                            {/if}
                        </ol>
                        {securitytoken}
                    </form>
                {elseif $dcv.type == 'http' || $dcv.type == 'https'}
                    <form action="{$widget_url}&act=verify" method="POST">
                        <p>Please follow the instructions below to complete the HTTP Verification Method :</p>
                        <ol>
                            <li>
                                <a href="{$widget_url}&act=dcvfile" target="_blank">Download TXT validation file</a>
                            </li>
                            <li>
                                Upload the file on your HTTP(S) server so that it can be publicly accessed
                                at the file URL path listed below: <br/><br/>
                                {foreach from=$dcv.details item=dcvn key=dcvname}
                                    <p>
                                        {if $dcvn.status}
                                            <span class="pull-right right label label-{$dcvn.status.class}"
                                            >{$dcvn.status.name}</span>
                                        {/if}
                                        <strong>For {$dcvname}:</strong>
                                    </p>
                                    <pre id="zone-{$dcvn.domain}"
                                         style="overflow: auto; white-space: pre"><code>{$dcvn.url}</code></pre>
                                {/foreach}
                            </li>
                            {if $dcv.canAct}
                                <li>
                                    <button class="btn btn-success" type="submit">Verify dcv file for this order
                                    </button>
                                </li>
                            {/if}
                        </ol>
                        {securitytoken}
                    </form>
                {literal}
                    <script type="text/javascript">
                        $(function () {
                            $('.approver').on('init change', function () {
                                var self = $(this);
                                self.closest('form').find('.dcv-url').text(self.val())
                            }).trigger('init')
                        })
                    </script>
                {/literal}
                {/if}
            </div>
            <hr/>
        {/if}


        {if $cert.status=='Issued'}
            <a href="{$widget_url}&act=dwdcert" class="btn btn-success">{$lang.dwdcert}</a>
        {/if}
    {/if}
</div>