<div class="widget">
    <h2>{if $lang[$widget.name]}{$lang[$widget.name]}{elseif $widget.fullname}{$widget.fullname}{else}{$widget.name}{/if}</h2>

    <div class="row-fluid">
        <div class="form-group">
            <label>Token</label>
            <div class="copy-wrap">
                <input type="text" class="form-control" readonly value="{$token.Token}">
                <a class="btn btn-default copy-token"  title="{$lang.copy}"><i class="icon icon-file fa fa-copy"></i></a>
            </div>
        </div>
        <p class="help-block">
            This Token is used ONLY if your hosting platform is using a NEWER version of our AutoInstall SSL® that
            has one field for a Token rather than the previous two fields (Token Code & Token ID). cPanel &
            Plesk currently have our AutoInstall SSL™ plugin available for use. Simply copy/paste into the
            Token field within the plugin when prompted.
            <a href="https://sandbox.thesslstore.com/autoinstall-ssl.aspx" class="external">Learn More</a>
        </p>
        <div class="token-hr">
            <span class="btn btn-primary">{$lang.or}</span>
        </div>
        <div class="form-group">
            <label>Token Code</label>
            <div class="copy-wrap">
                <input type="text" class="form-control" readonly value="{$token.TokenCode}">
                <a class="btn btn-default copy-token"  title="{$lang.copy}"><i class="icon icon-file fa fa-copy"></i></a>
            </div>
        </div>
        <div class="form-group">
            <label>Token ID</label>
            <div class="copy-wrap">
                <input type="text" class="form-control" readonly value="{$token.TokenID}">
                <a class="btn btn-default copy-token"  title="{$lang.copy}"><i class="icon icon-file fa fa-copy"></i></a>
            </div>
        </div>
        {if $token.CustomOrderID}
        <div class="form-group">
            <label>Custom Order ID:</label>
            <div class="copy-wrap">
                <input type="text" class="form-control" readonly value="{$token.CustomOrderID}">
                <a class="btn btn-default copy-token" title="{$lang.copy}"><i class="icon icon-file fa fa-copy"></i></a>
            </div>
        </div>
        {/if}
        <p class="help-block">
            This is used ONLY if your hosting platform is using our AutoInstall SSL™ technology. cPanel & Plesk
            currently
            have our AutoInstall SSL™ plugin available for use. Simply copy/paste into the corresponding fields
            within the plugin when prompted.
            <a href="https://sandbox.thesslstore.com/autoinstall-ssl.aspx" class="external">Learn More</a>
        </p>
    </div>
</div>
{literal}
    <style>
        .token-hr{
            border-bottom: 1px solid #ffffffaa;
            border-top: 1px solid #00000011;
            height: 0px; margin: 3em 0;
            text-align: center
        }
        .token-hr span.btn.btn-primary{
            border-radius: 2em;
            text-transform: uppercase;
            display:inline-block;
            width: 3em;
            height: 3em;
            transform: translateY(-50%);
            line-height: 3em;
            font-size:1em;
            padding: 0;
            pointer-events: none;
        }

        .copy-wrap{
            width: 100%;
            display: flex;
        }

        .form-group .copy-wrap input {
            box-sizing: border-box;
            float: none;

            height: auto;
            line-height: 1.4em;
            vertical-align: middle;
            padding: 5px;

            margin: 0;
            margin-right: 5px;
            flex-grow: 1;
        }
        .form-group .copy-wrap a{

            line-height: 1.5em;
            vertical-align: middle;
            box-sizing: border-box;
        }

        .form-group{
            margin-bottom: 10px;
        }
    </style>
    <script>
        $(function () {
            $('.copy-token').on('click', function () {
                $(this).prev()[0].select();
                try {
                    document.execCommand('copy');
                } catch (err) {
                    console.log('Unable to copy');
                }
            })
        })
    </script>
{/literal}