var types = {
    'A': [['Ip', 'IP Address, as a decimal dotted quad string, for example: \'192.168.178.XX\' ']],
    'NS': [['Target nameserver hostname', 'Delegate this domain to use given nameserver']],
    'AAAA': [['IPv6', 'IPv6 address. An example: \'3ffe:8114:2000:bf0::1\'. ']],
    'CNAME': [['Hostname', 'Specifies the canonical name of a record. An example: \'webserver-01.example.com\'']],
    'DNAME': [['Hostname']],
    'PTR': [['Hostname', 'Reverse pointer, used to specify the host name belonging to an IP or IPv6 address. An example:  \'www.example.com\'']],
    'TXT': [['Text', 'The TXT field can be used to attach textual data to a domain']],
    'SPF': [['Text', 'Used to store Sender Permitted From details']],
    'MX': [['Hostname', 'Specifies a mail exchanger host for a domain.']],
    'AFSDB': [['Subtype'], ['Hostname']],
    'HINFO': [['Hardware info'], ['Software info']],
    'NSEC': [['Next Domain Name'], ['Type Bit Maps']],
    'RP': [['Email address with no at sign'], ['TXT pointer for more info']],
    'A6': [['Prefix len.'], ['Address'], ['Prefix name']],
    'SSHFP': [['Algorithm'], ['Fp-Type'], ['Fingerprint']],
    'SOA': [['Primary NS'], ['Email Address', 'Use dot instead of @ sign'], ['Serial number'], ['Refresh', 'Indicates the time in seconds, when the slave will try to refresh the zone from the master'], ['Retry', 'Defines the time in seconds between retries if the slave (secondary) fails to contact the master when refresh (above) has expired.'], ['Expiry', 'Indicates when the zone data is no longer authoritative in seconds.'], ['Minimum TTL']],
    'DNSKEY': [['Flags'], ['Protocol'], ['Algorithm'], ['Public Key']],
    'KEY': [['Flags'], ['Protocol'], ['Algorithm'], ['Public Key']],
    'DS': [['Key tag'], ['Algorithm'], ['Digest Type'], ['Digest', ]],
    'CERT': [['Type'], ['Key tag'], ['Algorithm'], ['Certificate']],
    'SRV': [['Weight'], ['Port'], ['Hostname']],
    'LOC': [['Latitude'], ['Longitude'], ['Altitude'], ['Size'], ['Horizontal Precision'], ['Vertical Precision']],
    'NAPTR': [['Order'], ['Preferences'], ['Flags'], ['Service'], ['Regex'], ['Hostname']],
    'RRSIG': [['Type Covered'], ['Algorithm'], ['Labels'], ['Original TTL'], ['Signature Expiration'], ['Signature Inception'], ['Key tag'], ['Signer\\\'s Name'], ['Signature']]
};
