REPLACE INTO `hb_reports` (`id`, `type`, `name`, `query`, `options`, `handler`, `state`, `columns`)
VALUES
	(1003, 'Support', 'New tickets daily', 'SELECT r.range as `Day`,\n COUNT(t.id) as `Tickets` \nFROM hb_reports_day_range r \nLEFT JOIN hb_tickets t ON (r.range = DAY(t.date) \nAND DATE(t.date) >= :date_bottom\nAND DATE(t.date) <= :date_top ) \nWHERE\n r.range < 32 \nGROUP BY `Day`,\n DAY(t.date) \n\nORDER BY r.range ASC', 1, 'sql', 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:19:\"current-month-start\";s:9:\":date_top\";s:17:\"current-month-end\";}s:10:\"conditions\";a:0:{}s:6:\"output\";s:4:\"html\";}', 'a:2:{i:0;s:3:\"Day\";i:1;s:7:\"Tickets\";}'),
	(1002, 'Support', 'New tickets monthly', 'SELECT r.month as `Month`,\n COUNT(t.id) as `Tickets` \nFROM hb_reports_day_range r \nLEFT JOIN hb_tickets t ON (r.range = MONTH(t.date) \nAND DATE(t.date) >= :date_bottom\nAND DATE(t.date) <= :date_top ) \nWHERE\n r.range < 13 \nGROUP BY `Month`,\n MONTH(t.date) \n\nORDER BY r.range ASC', 1, 'sql', 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:18:\"current-year-start\";s:9:\":date_top\";s:16:\"current-year-end\";}s:10:\"conditions\";a:0:{}s:6:\"output\";s:4:\"html\";}', 'a:2:{i:0;s:5:\"Month\";i:1;s:7:\"Tickets\";}'),
	(1001, 'Invoices', 'Monthly income', 'SELECT r.month as `Month`,\n COALESCE(SUM((t.`in` - t.`fee`) * t.`rate`),0) as `Income` \nFROM hb_reports_day_range r \nLEFT JOIN hb_transactions t ON (r.range = MONTH(t.date) \nAND DATE(t.date) >= :date_bottom\nAND DATE(t.date) <= :date_top ) \nWHERE\n r.range < 13 \nGROUP BY `Month`,\n MONTH(t.date) \n\nORDER BY r.range ASC', 1, 'sql', 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:18:\"current-year-start\";s:9:\":date_top\";s:16:\"current-year-end\";}s:10:\"conditions\";a:0:{}s:6:\"output\";s:4:\"html\";}', 'a:2:{i:0;s:5:\"Month\";i:1;s:6:\"Income\";}'),
	(1000, 'Invoices', 'Daily income', 'SELECT r.range as `Day`,\n COALESCE(SUM((t.`in` - t.`fee`) * t.`rate`),0) as `Income` \nFROM hb_reports_day_range r \nLEFT JOIN hb_transactions t ON (r.range = DAY(t.date) \nAND DATE(t.date) >= :date_bottom \nAND DATE(t.date) <= :date_top) \nWHERE\n r.range < 32 \nGROUP BY `Day`,\n DAY(t.date) \n\nORDER BY `Day` ASC', 1, 'sql', 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:19:\"current-month-start\";s:9:\":date_top\";s:17:\"current-month-end\";}s:10:\"conditions\";a:0:{}s:6:\"output\";s:4:\"html\";}', 'a:2:{i:0;s:3:\"Day\";i:1;s:6:\"Income\";}');
##########
REPLACE INTO `hb_reports_widget_series` (`id`, `reports_widget_id`, `state`, `columns`, `name`)
VALUES
	(1, 1, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:18:\"previous-month-end\";s:12:\":date_bottom\";s:20:\"previous-month-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:3:\"Day\";i:1;s:6:\"Income\";}', 'Previous month'),
	(2, 1, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:17:\"current-month-end\";s:12:\":date_bottom\";s:19:\"current-month-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:3:\"Day\";i:1;s:6:\"Income\";}', 'Current month'),
	(3, 2, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:17:\"previous-year-end\";s:12:\":date_bottom\";s:19:\"previous-year-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:5:\"Month\";i:1;s:6:\"Income\";}', 'Last Year'),
	(4, 2, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:16:\"current-year-end\";s:12:\":date_bottom\";s:18:\"current-year-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:5:\"Month\";i:1;s:6:\"Income\";}', 'This Year'),
	(5, 6, 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:20:\"previous-month-start\";s:9:\":date_top\";s:18:\"previous-month-end\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:12:\"Product Name\";i:1;s:10:\"Items Sold\";}', 'Last month'),
	(6, 6, 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:19:\"current-month-start\";s:9:\":date_top\";s:17:\"current-month-end\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:12:\"Product Name\";i:1;s:10:\"Items Sold\";}', 'This month'),
	(7, 4, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:17:\"previous-year-end\";s:12:\":date_bottom\";s:19:\"previous-year-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:5:\"Month\";i:1;s:7:\"Tickets\";}', 'Last Year'),
	(8, 4, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:16:\"current-year-end\";s:12:\":date_bottom\";s:18:\"current-year-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:5:\"Month\";i:1;s:7:\"Tickets\";}', 'This Year'),
	(9, 5, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:18:\"previous-month-end\";s:12:\":date_bottom\";s:20:\"previous-month-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:3:\"Day\";i:1;s:7:\"Tickets\";}', 'Last month'),
	(10, 5, 'a:3:{s:6:\"params\";a:2:{s:9:\":date_top\";s:17:\"current-month-end\";s:12:\":date_bottom\";s:19:\"current-month-start\";}s:10:\"conditions\";a:1:{i:0;a:3:{s:6:\"column\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:8:\"constant\";s:0:\"\";}}s:6:\"output\";N;}', 'a:2:{i:0;s:3:\"Day\";i:1;s:7:\"Tickets\";}', 'This month');
