{foreach from=$settings item=option key=key name=settings}
    {if !$smarty.foreach.settings.first}
        <hr>
    {/if}
    <div class="control-group">
        <label class="control-label" for="{$key}">
            <strong>
                {if $option.lang && $lang[$option.lang]}
                    {$lang[$option.lang]}
                {else}
                    {$option.title}
                {/if}
            </strong>

            {if $option.descriptionlang && $lang[$option.descriptionlang]}
                <span class="vtip_description"
                      title="{$lang[$option.descriptionlang]|htmlspecialchars}"></span>
            {elseif $option.description}
                <span class="vtip_description"
                      title="{$option.description|htmlspecialchars}"></span>
            {/if}
        </label>
        <div class="controls">
            {if $option.type == 'text' || $option.type == 'input'}
                <input type="text" name="{$option.name}" style="width: 90%"
                       id="{$key}" value="{$option.value|escape}">
            {elseif $option.type == 'textarea'}
                <textarea name="{$option.name}" style="width: 90%"
                          id="{$key}">{$option.value|escape}</textarea>
            {elseif $option.type == 'radio' || $option.type == 'checkbox'}
                {foreach from=$option.items item=opt name=options}
                    {if $option.value !== ''}
                        <input type="{$option.type}" style="margin: 0px" name="{$opt.name|escape}"
                               id="{$key}" value="{$opt.value|escape}"
                               {if $opt.selected}checked{/if}>
                        {if $opt.lang && $lang[$opt.lang]}
                            {$lang[$opt.lang]}
                        {else}
                            {$opt.title}
                        {/if}
                        {if !$smarty.foreach.options.last}
                            <br>
                        {/if}
                    {/if}
                {/foreach}
            {elseif $option.type == 'tpl'}
                {include file=$option.tplfile}
            {else}
                <select id="{$key}" name="{$option.name}" style="width: 90%">
                    {foreach from=$option.items item=opt}
                        {if $option.value !== ''}
                            <option value="{$opt.value|escape}" {if $opt.selected}selected{/if} >
                                {if $opt.lang && $lang[$opt.lang]}
                                    {$lang[$opt.lang]}
                                {else}
                                    {$opt.title}
                                {/if}
                            </option>
                        {/if}
                    {/foreach}
                </select>
            {/if}
        </div>
    </div>
{/foreach}