{*

Security/IP access settings

*}

<article>
    <h2><i class="icon-acc"></i> {$lang.account}</h2>
    <p>{$lang.account_descr}</p>
    <div class="account-info-box">
        {include file='clientarea/leftnavigation.tpl'}

        <div class="account-info-container">
            {if $acl.editipaccess.visible}
            <div class="padding">
                <div class="header-p pull-right">{$lang.currentipadd} {$yourip}</div>
                <h2>{$lang.ipaccess}</h2>

                <div class="clearfix">
                    <div class="well m15">
                        <form method="post" action="">
                            <input type="hidden" name="make" value="addrule" />
                            {*
                            <button type="submit" class="btn c-green-btn"><i class="icon-add"></i> {$lang.addipsubnet}</button>
                           *}
                            <div class="well-info">

                                {$lang.ipsubnet}
                                <span class="row">
                                    <input name="rule" type="text" class="span4" placeholder="eg. {$yourip}">
                                    <div class="pull-right ">
                                    <button type="submit" class="btn c-green-btn"><i class="icon-add"></i> {$lang.addipsubnet}</button>
                                     </div>
                                </span>
                            </div>
                            {securitytoken}
                        </form>
                    </div>
                </div>

                <!-- Table -->
                <div class="table-box">
                    <div class="table-header">
                        <p>{$lang.ipsubnet}</p>
                    </div>
                    <div class="table-content">
                        {foreach from=$rules item=rule name=rules}
                            <p>
                                {if $rule.rule == 'all'}
                                    {$lang.allaccess} - 
                                {else}
                                    {$rule.rule} - 
                                {/if}
                                <a class="deleteico" href="{$ca_url}{$cmd}/{$action}/&make=delrule&id={$rule.id}">{$lang.delete}</a>
                            </p>
                        {foreachelse}
                            <p>{$lang.norules} - {$lang.allaccess}</p>
                        {/foreach}
                    </div>
                </div>
                <!-- End of Table -->

                <div class="separator-line"></div>

                <ul class="rules-list">
                    <li class="header-list"><strong>{$lang.ruleformat}:</strong></li>
                    <li><strong>all</strong> - {$lang.keywordmatchingall}</li>
                    <li><strong>xxx.xxx.xxx.xxx</strong> - {$lang.singleiprule}</li>
                    <li><strong>xxx.xxx.xxx.xxx/M</strong> - {$lang.ipmaskrule}</li>
                    <li><strong>xxx.xxx.xxx.xxx/mmm.mmm.mmm.mmm</strong></li>
                    <li>{$lang.ipmaskruledoted}</li>
                </ul>

                <ul class="rules-list rules-m">
                    <li class="header-list"><strong>{$lang.examplerules}:</strong></li>
                    <li>{$lang.ruleexample1}</li>
                    <li>{$lang.ruleexample2}</li>
                </ul>
            </div>
            {/if}
            {if $acl.editsshkeys.visible}
            <div class="padding">
                <h2>{$lang.shhkeys}</h2>
                <div class="clearfix">
                    <div class="m15">
                        {if $sshkeys}
                            <div class="table-box">
                                <form method="post" action="">
                                    <table class="table">
                                        <thead>
                                        <tr>
                                            <th>{$lang.name}</th>
                                            <th>{$lang.fingerprint}</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody><form method="post" action="">
                                            {foreach from=$sshkeys item=sshkey}
                                                <tr>
                                                    <td>
                                                        {$sshkey.name}
                                                    </td>
                                                    <td>
                                                        {$sshkey.fingerprint}
                                                    </td>
                                                    <td style="text-align: right">
                                                        <input type="submit" class="btn btn-danger btn-small" name="delete[{$sshkey.id}]" value="{$lang.delete}"
                                                               onclick="return confirm('{$lang.remove_ssh_key_desc}')">
                                                    </td>
                                                </tr>
                                            {/foreach}
                                        </tbody>
                                    </table>
                                    <input type="hidden" name="make" value="delete_ssh_key">
                                    {securitytoken}
                                </form>
                            </div>
                        {else}
                            <p>{$lang.nothing}</p>
                        {/if}
                        <form method="post" action="">
                            <div id="add_ssh_key" class="well">
                                <label>
                                    {$lang.name}
                                    <input type="text" name="ssh_key[name]">
                                </label>
                                <label>{$lang.shhkey}</label>
                                <textarea name="ssh_key[key]" style="width: 98%; height: 150px;" placeholder="{$lang.enter_publi_ssh_key}"></textarea>
                                <div style="text-align: right">
                                    <button type="submit" class="btn c-green-btn">{$lang.submit}</button>
                                    <input type="hidden" name="make" value="add_ssh_key">
                                </div>
                            </div>
                            <div style="text-align: right">
                                <button id="add_ssh_key_btn" type="button" class="btn c-green-btn">{$lang.add_new_ssh_key}</button>
                            </div>
                            {securitytoken}
                        </form>
                    </div>
                </div>
            </div>
            {literal}
                <script>
                    var add = $('#add_ssh_key');
                    $(function () {
                        add.hide();
                    });
                    $('#add_ssh_key_btn').on('click', function () {
                        add.show();
                        $(this).hide();
                    });
                </script>
            {/literal}
            {/if}
        </div>
    </div>     
</article>

