/*
 * noVNC: HTML5 VNC client
 * Copyright (C) 2012 Joel Martin
 * Licensed under MPL 2.0 (see LICENSE.txt)
 *
 * See README.md for usage and integration instructions.
 */
/*jslint browser: true, white: false, bitwise: false */
/*global Util, Base64, changeCursor */
function Display(e){"use strict";function S(){Util.Debug(">> Display.constructor");var e,i,s,o,u,a=!1,f=Util.Engine;if(!n.target)throw"target must be set";if(typeof n.target=="string")throw"target must be a DOM element";e=n.target;if(!e.getContext)throw"no getContext method";r||(r=e.getContext("2d")),Util.Debug("User Agent: "+navigator.userAgent),f.gecko&&Util.Debug("Browser: gecko "+f.gecko),f.webkit&&Util.Debug("Browser: webkit "+f.webkit),f.trident&&Util.Debug("Browser: trident "+f.trident),f.presto&&Util.Debug("Browser: presto "+f.presto),t.clear();if("createImageData"in r){n.render_mode="canvas rendering",n.prefer_js===null&&(Util.Info("Prefering javascript operations"),n.prefer_js=!0),b=r.createImageData(16,16),o=[];for(s=0;s<256;s+=1)o.push(255);try{u=e.style.cursor,changeCursor(n.target,o,o,2,2,8,8),e.style.cursor?(n.cursor_uri===null&&(n.cursor_uri=!0),Util.Info("Data URI scheme cursor supported")):(n.cursor_uri===null&&(n.cursor_uri=!1),Util.Warn("Data URI scheme cursor not supported")),e.style.cursor=u}catch(l){Util.Error("Data URI scheme cursor test exception: "+l),n.cursor_uri=!1}return Util.Debug("<< Display.constructor"),t}throw"Canvas does not support createImageData"}var t={},n={},r=null,i=!1,s=[],o,u,a,f,l,c,h,p=0,d=0,v={x:0,y:0,w:0,h:0},m={x1:0,y1:0,x2:-1,y2:-1},g="",y=null,b=null,w=0,E=0;return Util.conf_defaults(n,t,e,[["target","wo","dom",null,"Canvas element for rendering"],["context","ro","raw",null,"Canvas 2D context for rendering (read-only)"],["logo","rw","raw",null,'Logo to display when cleared: {"width": width, "height": height, "data": data}'],["true_color","rw","bool",!0,"Use true-color pixel data"],["colourMap","rw","arr",[],"Colour map array (when not true-color)"],["scale","rw","float",1,"Display area scale factor 0.0 - 1.0"],["viewport","rw","bool",!1,"Use a viewport set with viewportChange()"],["width","rw","int",null,"Display area width"],["height","rw","int",null,"Display area height"],["render_mode","ro","str","","Canvas rendering mode (read-only)"],["prefer_js","rw","str",null,"Prefer Javascript over canvas methods"],["cursor_uri","rw","raw",null,"Can we render cursor using data URI"]]),t.get_context=function(){return r},t.set_scale=function(e){c(e)},t.set_width=function(e){t.resize(e,d)},t.get_width=function(){return p},t.set_height=function(e){t.resize(p,e)},t.get_height=function(){return d},c=function(e){var t,r,i,s,o=["transform","WebkitTransform","MozTransform",null];t=n.target,r=o.shift();while(r){if(typeof t.style[r]!="undefined")break;r=o.shift()}if(r===null){Util.Debug("No scaling support");return}typeof e=="undefined"?e=n.scale:e>1?e=1:e<.1&&(e=.1);if(n.scale===e)return;n.scale=e,i=t.width-t.width*e,s=t.height-t.height*e,t.style[r]="scale("+n.scale+") translate(-"+i+"px, -"+s+"px)"},l=function(e){var t,i;n.true_color?t=e:t=n.colourMap[e[0]],i="rgb("+t[2]+","+t[1]+","+t[0]+")",i!==g&&(r.fillStyle=i,g=i)},t.viewportChange=function(e,t,i,s){var o=n.target,u=v,a=m,f=null,l,c,h,g,y,b,w;n.viewport||(Util.Debug("Setting viewport to full display region"),e=-u.w,t=-u.h,i=p,s=d),typeof e=="undefined"&&(e=0),typeof t=="undefined"&&(t=0),typeof i=="undefined"&&(i=u.w),typeof s=="undefined"&&(s=u.h),i>p&&(i=p),s>d&&(s=d);if(u.w!==i||u.h!==s)i<u.w&&a.x2>u.x+i-1&&(a.x2=u.x+i-1),u.w=i,s<u.h&&a.y2>u.y+s-1&&(a.y2=u.y+s-1),u.h=s,u.w>0&&u.h>0&&o.width>0&&o.height>0&&(f=r.getImageData(0,0,o.width<u.w?o.width:u.w,o.height<u.h?o.height:u.h)),o.width=u.w,o.height=u.h,f&&r.putImageData(f,0,0);g=u.x+u.w-1,y=u.y+u.h-1,e<0&&u.x+e<0&&(e=-u.x),g+e>=p&&(e-=g+e-p+1),u.y+t<0&&(t=-u.y),y+t>=d&&(t-=y+t-d+1);if(e===0&&t===0)return;Util.Debug("viewportChange deltaX: "+e+", deltaY: "+t),u.x+=e,g+=e,u.y+=t,y+=t,u.x>a.x1&&(a.x1=u.x),g<a.x2&&(a.x2=g),u.y>a.y1&&(a.y1=u.y),y<a.y2&&(a.y2=y),e<0?(c=0,b=-e):(c=u.w-e,b=e),t<0?(h=0,w=-t):(h=u.h-t,w=t),l=r.fillStyle,r.fillStyle="rgb(255,255,255)",e!==0&&(r.drawImage(o,0,0,u.w,u.h,-e,0,u.w,u.h),r.fillRect(c,0,b,u.h)),t!==0&&(r.drawImage(o,0,0,u.w,u.h,0,-t,u.w,u.h),r.fillRect(0,h,u.w,w)),r.fillStyle=l},t.getCleanDirtyReset=function(){var e=v,t=m,n,r=[],i=e.x+e.w-1,s=e.y+e.h-1;return n={x:t.x1,y:t.y1,w:t.x2-t.x1+1,h:t.y2-t.y1+1},t.x1>=t.x2||t.y1>=t.y2?r.push({x:e.x,y:e.y,w:e.w,h:e.h}):(e.x<t.x1&&r.push({x:e.x,y:e.y,w:t.x1-e.x+1,h:e.h}),i>t.x2&&r.push({x:t.x2+1,y:e.y,w:i-t.x2,h:e.h}),e.y<t.y1&&r.push({x:t.x1,y:e.y,w:t.x2-t.x1+1,h:t.y1-e.y}),s>t.y2&&r.push({x:t.x1,y:t.y2+1,w:t.x2-t.x1+1,h:s-t.y2})),m={x1:e.x,y1:e.y,x2:e.x+e.w-1,y2:e.y+e.h-1},{cleanBox:n,dirtyBoxes:r}},t.absX=function(e){return e+v.x},t.absY=function(e){return e+v.y},t.resize=function(e,r){g="",p=e,d=r,c(n.scale),t.viewportChange()},t.clear=function(){n.logo?(t.resize(n.logo.width,n.logo.height),t.blitStringImage(n.logo.data,0,0)):(t.resize(640,20),r.clearRect(0,0,v.w,v.h)),s=[]},t.fillRect=function(e,t,n,i,s){l(s),r.fillRect(e-v.x,t-v.y,n,i)},t.copyImage=function(e,t,i,s,o,u){var a=e-v.x,f=t-v.y,l=i-v.x,c=s-v.y;r.drawImage(n.target,a,f,o,u,l,c,o,u)},t.startTile=function(e,i,s,o,u){var a,f,l,c,h,p;w=e,E=i,s===16&&o===16?y=b:y=r.createImageData(s,o),a=y.data;if(n.prefer_js){n.true_color?f=u:f=n.colourMap[u[0]],l=f[2],c=f[1],h=f[0];for(p=0;p<s*o*4;p+=4)a[p]=l,a[p+1]=c,a[p+2]=h,a[p+3]=255}else t.fillRect(e,i,s,o,u)},t.subTile=function(e,r,i,s,o){var u,a,f,l,c,h,p,d,v,m,g;if(n.prefer_js){u=y.data,p=y.width,n.true_color?f=o:f=n.colourMap[o[0]],l=f[2],c=f[1],h=f[0],m=e+i,g=r+s;for(d=r;d<g;d+=1)for(v=e;v<m;v+=1)a=(v+d*p)*4,u[a]=l,u[a+1]=c,u[a+2]=h,u[a+3]=255}else t.fillRect(w+e,E+r,i,s,o)},t.finishTile=function(){n.prefer_js&&r.putImageData(y,w-v.x,E-v.y)},u=function(e,t,n,i,s,o,u,a){var f,l,c,h;f=r.createImageData(s,o),h=f.data;for(l=0,c=a;l<s*o*4;l+=4,c+=3)h[l]=u[c],h[l+1]=u[c+1],h[l+2]=u[c+2],h[l+3]=255;r.putImageData(f,e-n,t-i)},a=function(e,t,n,i,s,o,u,a){var f,l,c,h;f=r.createImageData(s,o),h=f.data;for(l=0,c=a;l<s*o*4;l+=4,c+=4)h[l]=u[c+2],h[l+1]=u[c+1],h[l+2]=u[c],h[l+3]=255;r.putImageData(f,e-n,t-i)},f=function(e,t,i,s,o,u,a,f){var l,c,h,p,d,v;l=r.createImageData(o,u),p=l.data,v=n.colourMap;for(c=0,h=f;c<o*u*4;c+=4,h+=1)d=v[a[h]],p[c]=d[2],p[c+1]=d[1],p[c+2]=d[0],p[c+3]=255;r.putImageData(l,e-i,t-s)},t.blitImage=function(e,t,r,i,s,o){n.true_color?a(e,t,v.x,v.y,r,i,s,o):f(e,t,v.x,v.y,r,i,s,o)},t.blitRgbImage=function(e,t,r,i,s,o){n.true_color?u(e,t,v.x,v.y,r,i,s,o):f(e,t,v.x,v.y,r,i,s,o)},t.blitStringImage=function(e,t,n){var i=new Image;i.onload=function(){r.drawImage(i,t-v.x,n-v.y)},i.src=e},t.drawImage=function(e,t,n){r.drawImage(e,t-v.x,n-v.y)},t.renderQ_push=function(e){s.push(e),s.length===1&&h()},h=function(){var e,n=!0;while(n&&s.length>0){e=s[0];switch(e.type){case"copy":t.copyImage(e.old_x,e.old_y,e.x,e.y,e.width,e.height);break;case"fill":t.fillRect(e.x,e.y,e.width,e.height,e.color);break;case"blit":t.blitImage(e.x,e.y,e.width,e.height,e.data,0);break;case"blitRgb":t.blitRgbImage(e.x,e.y,e.width,e.height,e.data,0);break;case"img":e.img.complete?t.drawImage(e.img,e.x,e.y):n=!1}n&&(e=s.shift())}s.length>0&&requestAnimFrame(h)},t.changeCursor=function(e,t,r,i,s,o){if(n.cursor_uri===!1){Util.Warn("changeCursor called but no cursor data URI support");return}n.true_color?changeCursor(n.target,e,t,r,i,s,o):changeCursor(n.target,e,t,r,i,s,o,n.colourMap)},t.defaultCursor=function(){n.target.style.cursor="default"},S()}function changeCursor(e,t,n,r,i,s,o,u){"use strict";var a=[],f,l,c,h,p,d,v,m,g,y,b=s,w=o;w<b?w=b:b=w,a.push16le=function(e){this.push(e&255,e>>8&255)},a.push32le=function(e){this.push(e&255,e>>8&255,e>>16&255,e>>24&255)},l=40,c=b*w*4,p=Math.ceil(b*w/8),h=Math.ceil(b*w/8),a.push16le(0),a.push16le(2),a.push16le(1),a.push(b),a.push(w),a.push(0),a.push(0),a.push16le(r),a.push16le(i),a.push32le(l+c+p+h),a.push32le(22),a.push32le(l),a.push32le(b),a.push32le(w*2),a.push16le(1),a.push16le(32),a.push32le(0),a.push32le(p+h),a.push32le(0),a.push32le(0),a.push32le(0),a.push32le(0);for(y=w-1;y>=0;y-=1)for(g=0;g<b;g+=1)g>=s||y>=o?(a.push(0),a.push(0),a.push(0),a.push(0)):(v=y*Math.ceil(s/8)+Math.floor(g/8),m=n[v]<<g%8&128?255:0,u?(v=s*y+g,f=u[t[v]],a.push(f[2]),a.push(f[1]),a.push(f[0]),a.push(m)):(v=(s*y+g)*4,a.push(t[v+2]),a.push(t[v+1]),a.push(t[v]),a.push(m)));for(y=0;y<w;y+=1)for(g=0;g<Math.ceil(b/8);g+=1)a.push(0);for(y=0;y<w;y+=1)for(g=0;g<Math.ceil(b/8);g+=1)a.push(0);d="data:image/x-icon;base64,"+Base64.encode(a),e.style.cursor="url("+d+") "+r+" "+i+", default"};