/*
 * noVNC: HTML5 VNC client
 * Copyright (C) 2012 Joel Martin
 * Licensed under MPL 2.0 (see LICENSE.txt)
 *
 * See README.md for usage and integration instructions.
 *
 * TIGHT decoder portion:
 * (c) 2012 Michael Tinglof, Joe Balaz, Les Piech (Mercuri.ca)
 */
/*jslint white: false, browser: true, bitwise: false, plusplus: false */
/*global window, Util, Display, Keyboard, Mouse, Websock, Websock_native, Base64, DES */
function RFB(e){"use strict";function st(){var e,u;Util.Debug(">> RFB.constructor");for(e=0;e<_.length;e+=1)D[_[e][1]]=D[_[e][0]],P[_[e][1]]=_[e][0],H[_[e][1]]=[0,0];try{j=new Display({target:n.target})}catch(a){Util.Error("Display exception: "+a),i("fatal","No working Display")}return F=new Keyboard({target:n.focusContainer,onKeyPress:w}),I=new Mouse({target:n.target,onMouseButton:E,onMouseMove:S}),u=j.get_render_mode(),B=new Websock,B.on("message",o),B.on("open",function(){L==="connect"?i("ProtocolVersion","Starting VNC handshake"):s("Got unexpected WebSockets connection")}),B.on("close",function(e){Util.Warn("WebSocket on-close event");var t="";e.code&&(t=" (code: "+e.code,e.reason&&(t+=", reason: "+e.reason),t+=")"),L==="disconnect"?i("disconnected","VNC disconnected"+t):L==="ProtocolVersion"?s("Failed to connect to server"+t):L in{failed:1,disconnected:1}?Util.Error("Received onclose while disconnected"+t):s("Server disconnected"+t)}),B.on("error",function(e){Util.Warn("WebSocket on-error event")}),r(),Websock_native?(Util.Info("Using native WebSockets"),i("loaded","noVNC ready: native WebSockets, "+u)):(Util.Warn("Using web-socket-js bridge. Flash version: "+Util.Flash.version),!Util.Flash||Util.Flash.version<9?i("fatal","WebSockets or <a href='http://get.adobe.com/flashplayer'>Adobe Flash</a> is required"):document.location.href.substr(0,7)==="file://"?i("fatal","'file://' URL is incompatible with Adobe Flash"):i("loaded","noVNC ready: WebSockets emulation, "+u)),Util.Debug("<< RFB.constructor"),t}function ot(){Util.Debug(">> RFB.connect");var e;typeof UsingSocketIO!="undefined"?e="http://"+T+":"+N+"/"+k:(n.encrypt?e="wss://":e="ws://",e+=T+":"+N+"/"+k),Util.Info("connecting to "+e),B.open(e,["binary","base64"]),Util.Debug("<< RFB.connect")}function ut(e,t){var n,r=[];for(n=0;n<e.length;n+=1)r.push(e.charCodeAt(n));return(new DES(r)).encrypt(t)}function at(){return nt.length>0?(B.send(nt),setTimeout(function(){B.send(d())},50),nt=[],!0):!1}function ft(e){V===1&&s("Tight protocol handler only implements true color mode");var t,n,r,i,o,u,a=-1,f=0,l=-1,c=B.get_rQ(),h=B.get_rQi();W.bytes=1;if(B.rQwait("TIGHT compression-control",W.bytes))return!1;var p=function(e){var t=0,n;for(n=0;n<e.length;n++)t+=e[n],t>65536&&(t-=65536);return t},d=function(e){for(var t=0;t<4;t++)f>>t&1&&(W.zlibs[t].reset(),Util.Info("Reset zlib stream "+t));var n=W.zlibs[l].uncompress(e,0);return n.status!==0&&Util.Error("Invalid data in zlib stream"),n.data},v=function(e,t,n,r,i){var s=[],o,u,a,f,l,c,h;if(t===2){f=Math.floor((r+7)/8),l=Math.floor(r/8);for(u=0;u<i;u++){for(o=0;o<l;o++)for(a=7;a>=0;a--)c=(u*r+o*8+7-a)*3,h=(e[u*f+o]>>a&1)*3,s[c]=n[h],s[c+1]=n[h+1],s[c+2]=n[h+2];for(a=7;a>=8-r%8;a--)c=(u*r+o*8+7-a)*3,h=(e[u*f+o]>>a&1)*3,s[c]=n[h],s[c+1]=n[h+1],s[c+2]=n[h+2]}}else for(u=0;u<i;u++)for(o=0;o<r;o++)c=(u*r+o)*3,h=e[u*r+o]*3,s[c]=n[h],s[c+1]=n[h+1],s[c+2]=n[h+2];return s},m=function(){var e=c[h+2]+1,t=e*V;W.bytes+=t;if(B.rQwait("TIGHT palette "+n,W.bytes))return!1;var i=e<=2?1:8,s=Math.floor((W.width*i+7)/8),o=!1;s*W.height<12?(o=!0,r=[0,s*W.height]):r=y(B.rQslice(3+t,3+t+3)),W.bytes+=r[0]+r[1];if(B.rQwait("TIGHT "+n,W.bytes))return!1;B.rQshiftBytes(3);var a=B.rQshiftBytes(t);B.rQshiftBytes(r[0]),o?u=B.rQshiftBytes(r[1]):u=d(B.rQshiftBytes(r[1]));var f=v(u,e,a,W.width,W.height);return j.renderQ_push({type:"blitRgb",data:f,x:W.x,y:W.y,width:W.width,height:W.height}),!0},g=function(){var e=!1,t=W.width*W.height*V;return t<12?(e=!0,r=[0,t]):r=y(B.rQslice(1,4)),W.bytes=1+r[0]+r[1],B.rQwait("TIGHT "+n,W.bytes)?!1:(B.rQshiftBytes(1+r[0]),e?u=B.rQshiftBytes(r[1]):u=d(B.rQshiftBytes(r[1])),j.renderQ_push({type:"blitRgb",data:u,x:W.x,y:W.y,width:W.width,height:W.height}),!0)};t=B.rQpeek8(),f=t&15,t>>=4,l=t&3;if(t===8)n="fill";else if(t===9)n="jpeg";else if(t===10)n="png";else if(t&4)n="filter";else{if(!(t<4))return s("Illegal tight compression received, ctl: "+t);n="copy"}if(!e||n!=="filter"&&n!=="copy"){switch(n){case"fill":W.bytes+=V;break;case"jpeg":W.bytes+=3;break;case"png":W.bytes+=3;break;case"filter":W.bytes+=2;break;case"copy":}if(B.rQwait("TIGHT "+n,W.bytes))return!1;switch(n){case"fill":B.rQshift8(),i=B.rQshiftBytes(V),j.renderQ_push({type:"fill",x:W.x,y:W.y,width:W.width,height:W.height,color:[i[2],i[1],i[0]]});break;case"png":case"jpeg":r=y(B.rQslice(1,4)),W.bytes=1+r[0]+r[1];if(B.rQwait("TIGHT "+n,W.bytes))return!1;B.rQshiftBytes(1+r[0]),o=new Image,o.src="data:image/"+n+b(B.rQshiftBytes(r[1])),j.renderQ_push({type:"img",img:o,x:W.x,y:W.y}),o=null;break;case"filter":a=c[h+1];if(a!==1)throw"Unsupported tight subencoding received, filter: "+a;if(!m())return!1;break;case"copy":if(!g())return!1}return W.bytes=0,W.rects-=1,!0}return s("filter/copy received in tightPNG mode")}var t={},n={},r,i,s,o,u,a,f,l,c,h,p,d,v,m,g,y,b,w,E,S,x,T="",N=5900,C="",k="",L="disconnected",A=0,O=3.8,M="",_=[["COPYRECT",1],["TIGHT",7],["TIGHT_PNG",-260],["HEXTILE",5],["RRE",2],["RAW",0],["DesktopSize",-223],["Cursor",-239],["JPEG_quality_med",-26],["compress_hi",-247],["last_rect",-224]],D={},P={},H={},B=null,j=null,F=null,I=null,q=null,R=null,U=null,z=null,W={rects:0,subrects:0,lines:0,tiles:0,bytes:0,x:0,y:0,width:0,height:0,encoding:0,subencoding:-1,background:null,zlibs:[]},X=4,V=3,$=0,J=0,K="",Q=0,G=100,Y={last_fbu:0,fbu_total:0,fbu_total_cnt:0,full_fbu_total:0,full_fbu_cnt:0,fbu_rt_start:0,fbu_rt_total:0,fbu_rt_cnt:0,pixels:0},Z=!1,et=Websock_native?2:5,tt=0,nt=[],rt=!1,it={};return Util.conf_defaults(n,t,e,[["target","wo","dom",null,"VNC display rendering Canvas object"],["focusContainer","wo","dom",document,"DOM element that captures keyboard input"],["encrypt","rw","bool",!1,"Use TLS/SSL/wss encryption"],["true_color","rw","bool",!0,"Request true color pixel data"],["local_cursor","rw","bool",!1,"Request locally rendered cursor"],["shared","rw","bool",!0,"Request shared mode"],["view_only","rw","bool",!1,"Disable client mouse/keyboard"],["connectTimeout","rw","int",et,"Time (s) to wait for connection"],["disconnectTimeout","rw","int",3,"Time (s) to wait for disconnection"],["repeaterID","rw","str","","RepeaterID to connect to"],["viewportDrag","rw","bool",!1,"Move the viewport on mouse drags"],["check_rate","rw","int",217,"Timing (ms) of send/receive check"],["fbu_req_rate","rw","int",1413,"Timing (ms) of frameBufferUpdate requests"],["onUpdateState","rw","func",function(){},"onUpdateState(rfb, state, oldstate, statusMsg): RFB state update/change "],["onPasswordRequired","rw","func",function(){},"onPasswordRequired(rfb): VNC password is required "],["onClipboard","rw","func",function(){},"onClipboard(rfb, text): RFB clipboard contents received"],["onBell","rw","func",function(){},"onBell(rfb): RFB Bell message received "],["onFBUReceive","rw","func",function(){},"onFBUReceive(rfb, fbu): RFB FBU received but not yet processed "],["onFBUComplete","rw","func",function(){},"onFBUComplete(rfb, fbu): RFB FBU received and processed "],["onFBResize","rw","func",function(){},"onFBResize(rfb, width, height): frame buffer resized"],["updateState","rw","func",function(){},"obsolete, use onUpdateState"],["clipboardReceive","rw","func",function(){},"obsolete, use onClipboard"]]),t.set_local_cursor=function(e){!e||e in{0:1,no:1,"false":1}?n.local_cursor=!1:j.get_cursor_uri()?n.local_cursor=!0:Util.Warn("Browser does not support local cursor")},t.get_display=function(){return j},t.get_keyboard=function(){return F},t.get_mouse=function(){return I},r=function(){var e;B.init(),W.rects=0,W.subrects=0,W.lines=0,W.tiles=0,W.zlibs=[],tt=0,nt=[];for(e=0;e<_.length;e+=1)H[_[e][1]][0]=0;for(e=0;e<4;e++)W.zlibs[e]=new TINF,W.zlibs[e].init()},l=function(){var e,t;Util.Info("Encoding stats for this connection:");for(e=0;e<_.length;e+=1)t=H[_[e][1]],t[0]+t[1]>0&&Util.Info("    "+_[e][0]+": "+t[0]+" rects");Util.Info("Encoding stats since page load:");for(e=0;e<_.length;e+=1)t=H[_[e][1]],t[0]+t[1]>0&&Util.Info("    "+_[e][0]+": "+t[1]+" rects")},i=function(e,o){var u,a,f=L;if(e===f){Util.Debug("Already in state '"+e+"', ignoring.");return}e in{disconnected:1,loaded:1,connect:1,disconnect:1,failed:1,fatal:1}&&(q&&(clearInterval(q),q=null),z&&(clearInterval(z),z=null),j&&j.get_context()&&(F.ungrab(),I.ungrab(),j.defaultCursor(),(Util.get_logging()!=="debug"||e==="loaded")&&j.clear()),B.close()),f==="fatal"&&Util.Error("Fatal error, cannot continue"),e==="failed"||e==="fatal"?u=Util.Error:u=Util.Warn,a=typeof o!="undefined"?" Msg: "+o:"",u("New state '"+e+"', was '"+f+"'."+a),f==="failed"&&e==="disconnected"?L="failed":L=e,R&&L!=="connect"&&(Util.Debug("Clearing connect timer"),clearInterval(R),R=null),U&&L!=="disconnect"&&(Util.Debug("Clearing disconnect timer"),clearInterval(U),U=null);switch(e){case"normal":(f==="disconnected"||f==="failed")&&Util.Error("Invalid transition from 'disconnected' or 'failed' to 'normal'");break;case"connect":R=setTimeout(function(){s("Connect timeout")},n.connectTimeout*1e3),r(),ot();break;case"disconnect":Z||(U=setTimeout(function(){s("Disconnect timeout")},n.disconnectTimeout*1e3)),l();break;case"failed":f==="disconnected"&&Util.Error("Invalid transition from 'disconnected' to 'failed'"),f==="normal"&&Util.Error("Error while connected."),f==="init"&&Util.Error("Error while initializing."),setTimeout(function(){i("disconnected")},50);break;default:}f==="failed"&&e==="disconnected"?(n.updateState(t,e,f),n.onUpdateState(t,e,f)):(n.updateState(t,e,f,o),n.onUpdateState(t,e,f,o))},s=function(e){return i("failed",e),!1},o=function(){if(B.rQlen()===0){Util.Warn("handle_message called on empty receive queue");return}switch(L){case"disconnected":case"failed":Util.Error("Got data while disconnected");break;case"normal":a()&&B.rQlen()>0&&(z===null?(Util.Debug("More data to process, creating timer"),z=setTimeout(function(){z=null,o()},10)):Util.Debug("More data to process, existing timer"));break;default:u()}},x=function(){var e;L==="normal"&&!rt&&(at()||(e=(new Date).getTime(),e>Q+n.fbu_req_rate&&(Q=e,B.send(d())))),setTimeout(x,n.check_rate)},w=function(e,t){var r;if(n.view_only)return;r=v(e,t),r=r.concat(d()),B.send(r)},E=function(e,t,r,i){r?tt|=i:tt^=i;if(n.viewportDrag){if(r&&!rt){rt=!0,it={x:e,y:t};return}rt=!1,B.send(d())}if(n.view_only)return;nt=nt.concat(m(j.absX(e),j.absY(t))),at()},S=function(e,t){var r,i;if(rt){r=it.x-e,i=it.y-t,it={x:e,y:t},j.viewportChange(r,i);return}if(n.view_only)return;nt=nt.concat(m(j.absX(e),j.absY(t)))},u=function(){var e,r,o,a,f,l,p,v,m,g,y,b,w,E,S,T,N,k,_,D,P,H,R;switch(L){case"ProtocolVersion":if(B.rQlen()<12)return s("Incomplete protocol version");a=B.rQshiftStr(12).substr(4,7),Util.Info("Server ProtocolVersion: "+a),R=0;switch(a){case"000.000":R=1;break;case"003.003":A=3.3;break;case"003.006":A=3.3;break;case"003.889":A=3.3;break;case"003.007":A=3.7;break;case"003.008":A=3.8;break;case"004.000":A=3.8;break;case"004.001":A=3.8;break;default:return s("Invalid server version "+a)}if(R){l=n.repeaterID;while(l.length<250)l+="\0";B.send_string(l);break}A>O&&(A=O),Z||(q=setInterval(function(){B.flush()},50)),f="00"+parseInt(A,10)+".00"+A*10%10,B.send_string("RFB "+f+"\n"),i("Security","Sent ProtocolVersion: "+f);break;case"Security":if(A>=3.7){m=B.rQshift8();if(B.rQwait("security type",m,1))return!1;if(m===0)return e=B.rQshift32(),r=B.rQshiftStr(e),s("Security failure: "+r);M=0,v=B.rQshiftBytes(m),Util.Debug("Server security types: "+v);for(p=0;p<v.length;p+=1)v[p]>M&&v[p]<3&&(M=v[p]);if(M===0)return s("Unsupported security types: "+v);B.send([M])}else{if(B.rQwait("security scheme",4))return!1;M=B.rQshift32()}i("Authentication","Authenticating using scheme: "+M),u();break;case"Authentication":switch(M){case 0:if(B.rQwait("auth reason",4))return!1;return e=B.rQshift32(),r=B.rQshiftStr(e),s("Auth failure: "+r);case 1:if(A>=3.8){i("SecurityResult");return}break;case 2:if(C.length===0){i("password","Password Required"),n.onPasswordRequired(t);return}if(B.rQwait("auth challenge",16))return!1;g=B.rQshiftBytes(16),y=ut(C,g),B.send(y),i("SecurityResult");return;default:s("Unsupported auth scheme: "+M);return}i("ClientInitialisation","No auth required"),u();break;case"SecurityResult":if(B.rQwait("VNC auth response ",4))return!1;switch(B.rQshift32()){case 0:break;case 1:if(A>=3.8){o=B.rQshift32();if(B.rQwait("SecurityResult reason",o,8))return!1;r=B.rQshiftStr(o),s(r)}else s("Authentication failed");return;case 2:return s("Too many auth attempts")}i("ClientInitialisation","Authentication OK"),u();break;case"ClientInitialisation":B.send([n.shared?1:0]),i("ServerInitialisation","Authentication OK");break;case"ServerInitialisation":if(B.rQwait("server initialization",24))return!1;$=B.rQshift16(),J=B.rQshift16(),b=B.rQshift8(),w=B.rQshift8(),E=B.rQshift8(),P=B.rQshift8(),S=B.rQshift16(),T=B.rQshift16(),N=B.rQshift16(),k=B.rQshift8(),_=B.rQshift8(),D=B.rQshift8(),B.rQshiftStr(3),Util.Info("Screen: "+$+"x"+J+", bpp: "+b+", depth: "+w+", big_endian: "+E+", true_color: "+P+", red_max: "+S+", green_max: "+T+", blue_max: "+N+", red_shift: "+k+", green_shift: "+_+", blue_shift: "+D),E!==0&&Util.Warn("Server native endian is not little endian"),k!==16&&Util.Warn("Server native red-shift is not 16"),D!==0&&Util.Warn("Server native blue-shift is not 0"),H=B.rQshift32(),K=B.rQshiftStr(H),n.true_color&&K==="Intel(r) AMT KVM"&&(Util.Warn("Intel AMT KVM only support 8/16 bit depths. Disabling true color"),n.true_color=!1),j.set_true_color(n.true_color),n.onFBResize(t,$,J),j.resize($,J),F.grab(),I.grab(),n.true_color?(X=4,V=3):(X=1,V=1),y=c(),y=y.concat(h()),y=y.concat(d()),Y.fbu_rt_start=(new Date).getTime(),Y.pixels=0,B.send(y),setTimeout(x,n.check_rate),n.encrypt?i("normal","Connected (encrypted) to: "+K):i("normal","Connected (unencrypted) to: "+K)}},a=function(){var e=!0,r,i,o,u,a,l,c,h,p;W.rects>0?r=0:r=B.rQshift8();switch(r){case 0:e=f();break;case 1:Util.Debug("SetColourMapEntries"),B.rQshift8(),a=B.rQshift16(),l=B.rQshift16();if(B.rQwait("SetColourMapEntries",l*6,6))return!1;for(u=0;u<l;u+=1)c=B.rQshift16(),c=parseInt(c/256,10),h=parseInt(B.rQshift16()/256,10),p=parseInt(B.rQshift16()/256,10),j.set_colourMap([p,h,c],a+u);Util.Debug("colourMap: "+j.get_colourMap()),Util.Info("Registered "+l+" colourMap entries");break;case 2:Util.Debug("Bell"),n.onBell(t);break;case 3:Util.Debug("ServerCutText");if(B.rQwait("ServerCutText header",7,1))return!1;B.rQshiftBytes(3),i=B.rQshift32();if(B.rQwait("ServerCutText",i,8))return!1;o=B.rQshiftStr(i),n.clipboardReceive(t,o),n.onClipboard(t,o);break;default:s("Disconnected: illegal server message type "+r),Util.Debug("ws.rQslice(0,30):"+B.rQslice(0,30))}return e},f=function(){var e,r,i,o=!0;if(W.rects===0){if(B.rQwait("FBU header",3))return B.rQunshift8(0),!1;B.rQshift8(),W.rects=B.rQshift16(),W.bytes=0,Y.cur_fbu=0,Y.fbu_rt_start>0&&(e=(new Date).getTime(),Util.Info("First FBU latency: "+(e-Y.fbu_rt_start)))}while(W.rects>0){if(L!=="normal")return!1;if(B.rQwait("FBU",W.bytes))return!1;if(W.bytes===0){if(B.rQwait("rect header",12))return!1;r=B.rQshiftBytes(12),W.x=(r[0]<<8)+r[1],W.y=(r[2]<<8)+r[3],W.width=(r[4]<<8)+r[5],W.height=(r[6]<<8)+r[7],W.encoding=parseInt((r[8]<<24)+(r[9]<<16)+(r[10]<<8)+r[11],10),n.onFBUReceive(t,{x:W.x,y:W.y,width:W.width,height:W.height,encoding:W.encoding,encodingName:P[W.encoding]});if(!P[W.encoding])return s("Disconnected: unsupported encoding "+W.encoding),!1}Y.last_fbu=(new Date).getTime(),o=D[W.encoding](),e=(new Date).getTime(),Y.cur_fbu+=e-Y.last_fbu,o&&(H[W.encoding][0]+=1,H[W.encoding][1]+=1,Y.pixels+=W.width*W.height);if(Y.pixels>=$*J){if(W.width===$&&W.height===J||Y.fbu_rt_start>0)Y.full_fbu_total+=Y.cur_fbu,Y.full_fbu_cnt+=1,Util.Info("Timing of full FBU, cur: "+Y.cur_fbu+", total: "+Y.full_fbu_total+", cnt: "+Y.full_fbu_cnt+", avg: "+Y.full_fbu_total/Y.full_fbu_cnt);Y.fbu_rt_start>0&&(i=e-Y.fbu_rt_start,Y.fbu_rt_total+=i,Y.fbu_rt_cnt+=1,Util.Info("full FBU round-trip, cur: "+i+", total: "+Y.fbu_rt_total+", cnt: "+Y.fbu_rt_cnt+", avg: "+Y.fbu_rt_total/Y.fbu_rt_cnt),Y.fbu_rt_start=0)}if(!o)return o}return n.onFBUComplete(t,{x:W.x,y:W.y,width:W.width,height:W.height,encoding:W.encoding,encodingName:P[W.encoding]}),!0},D.RAW=function(){var t,n;return W.lines===0&&(W.lines=W.height),W.bytes=W.width*X,B.rQwait("RAW",W.bytes)?!1:(t=W.y+(W.height-W.lines),n=Math.min(W.lines,Math.floor(B.rQlen()/(W.width*X))),j.blitImage(W.x,t,W.width,n,B.get_rQ(),B.get_rQi()),B.rQshiftBytes(W.width*n*X),W.lines-=n,W.lines>0?W.bytes=W.width*X:(W.rects-=1,W.bytes=0),!0)},D.COPYRECT=function(){var t,n;return W.bytes=4,B.rQwait("COPYRECT",4)?!1:(j.renderQ_push({type:"copy",old_x:B.rQshift16(),old_y:B.rQshift16(),x:W.x,y:W.y,width:W.width,height:W.height}),W.rects-=1,W.bytes=0,!0)},D.RRE=function(){var t,n,r,i,s,o;if(W.subrects===0){W.bytes=4+X;if(B.rQwait("RRE",4+X))return!1;W.subrects=B.rQshift32(),t=B.rQshiftBytes(X),j.fillRect(W.x,W.y,W.width,W.height,t)}while(W.subrects>0&&B.rQlen()>=X+8)t=B.rQshiftBytes(X),n=B.rQshift16(),r=B.rQshift16(),i=B.rQshift16(),s=B.rQshift16(),j.fillRect(W.x+n,W.y+r,i,s,t),W.subrects-=1;return W.subrects>0?(o=Math.min(G,W.subrects),W.bytes=(X+8)*o):(W.rects-=1,W.bytes=0),!0},D.HEXTILE=function(){var t,n,r,i,o,u,a,f,l,c,h,p,d,v,m,g,y,b=B.get_rQ(),w=B.get_rQi();W.tiles===0&&(W.tiles_x=Math.ceil(W.width/16),W.tiles_y=Math.ceil(W.height/16),W.total_tiles=W.tiles_x*W.tiles_y,W.tiles=W.total_tiles);while(W.tiles>0){W.bytes=1;if(B.rQwait("HEXTILE subencoding",W.bytes))return!1;t=b[w];if(t>30)return s("Disconnected: illegal hextile subencoding "+t),!1;n=0,i=W.total_tiles-W.tiles,o=i%W.tiles_x,f=Math.floor(i/W.tiles_x),u=W.x+o*16,l=W.y+f*16,a=Math.min(16,W.x+W.width-u),c=Math.min(16,W.y+W.height-l);if(t&1)W.bytes+=a*c*X;else{t&2&&(W.bytes+=X),t&4&&(W.bytes+=X);if(t&8){W.bytes+=1;if(B.rQwait("hextile subrects header",W.bytes))return!1;n=b[w+W.bytes-1],t&16?W.bytes+=n*(X+2):W.bytes+=n*2}}if(B.rQwait("hextile",W.bytes))return!1;W.subencoding=b[w],w+=1;if(W.subencoding===0)W.lastsubencoding&1?Util.Debug("     Ignoring blank after RAW"):j.fillRect(u,l,a,c,W.background);else if(W.subencoding&1)j.blitImage(u,l,a,c,b,w),w+=W.bytes-1;else{W.subencoding&2&&(W.background=b.slice(w,w+X),w+=X),W.subencoding&4&&(W.foreground=b.slice(w,w+X),w+=X),j.startTile(u,l,a,c,W.background);if(W.subencoding&8){n=b[w],w+=1;for(p=0;p<n;p+=1)W.subencoding&16?(r=b.slice(w,w+X),w+=X):r=W.foreground,h=b[w],w+=1,d=h>>4,v=h&15,m=b[w],w+=1,g=(m>>4)+1,y=(m&15)+1,j.subTile(d,v,g,y,r)}j.finishTile()}B.set_rQi(w),W.lastsubencoding=W.subencoding,W.bytes=0,W.tiles-=1}return W.tiles===0&&(W.rects-=1),!0},y=function(e){var t=1,n=0;return n+=e[0]&127,e[0]&128&&(t+=1,n+=(e[1]&127)<<7,e[1]&128&&(t+=1,n+=e[2]<<14)),[t,n]},b=function(e){return";base64,"+Base64.encode(e)},D.TIGHT=function(){return ft(!1)},D.TIGHT_PNG=function(){return ft(!0)},D.last_rect=function(){return W.rects=0,!0},D.DesktopSize=function(){return Util.Debug(">> set_desktopsize"),$=W.width,J=W.height,n.onFBResize(t,$,J),j.resize($,J),Y.fbu_rt_start=(new Date).getTime(),B.send(d()),W.bytes=0,W.rects-=1,Util.Debug("<< set_desktopsize"),!0},D.Cursor=function(){var t,n,r,i,s,o;return Util.Debug(">> set_cursor"),t=W.x,n=W.y,r=W.width,i=W.height,s=r*i*X,o=Math.floor((r+7)/8)*i,W.bytes=s+o,B.rQwait("cursor encoding",W.bytes)?!1:(j.changeCursor(B.rQshiftBytes(s),B.rQshiftBytes(o),t,n,r,i),W.bytes=0,W.rects-=1,Util.Debug("<< set_cursor"),!0)},D.JPEG_quality_lo=function(){Util.Error("Server sent jpeg_quality pseudo-encoding")},D.compress_lo=function(){Util.Error("Server sent compress level pseudo-encoding")},c=function(){var e;return e=[0],e.push8(0),e.push8(0),e.push8(0),e.push8(X*8),e.push8(V*8),e.push8(0),e.push8(n.true_color?1:0),e.push16(255),e.push16(255),e.push16(255),e.push8(16),e.push8(8),e.push8(0),e.push8(0),e.push8(0),e.push8(0),e},h=function(){var e,t,r=[];for(t=0;t<_.length;t+=1)_[t][0]==="Cursor"&&!n.local_cursor?Util.Debug("Skipping Cursor pseudo-encoding"):_[t][0]==="TIGHT"&&!n.true_color?Util.Warn("Skipping tight, only support with true color"):r.push(_[t][1]);e=[2],e.push8(0),e.push16(r.length);for(t=0;t<r.length;t+=1)e.push32(r[t]);return e},p=function(e,t,n,r,i){typeof t=="undefined"&&(t=0),typeof n=="undefined"&&(n=0),typeof r=="undefined"&&(r=$),typeof i=="undefined"&&(i=J);var s;return s=[3],s.push8(e),s.push16(t),s.push16(n),s.push16(r),s.push16(i),s},d=function(){var e=j.getCleanDirtyReset(),t=[],n,r,i;r=e.cleanBox,r.w>0&&r.h>0&&(t=t.concat(p(1,r.x,r.y,r.w,r.h)));for(n=0;n<e.dirtyBoxes.length;n++)i=e.dirtyBoxes[n],t=t.concat(p(0,i.x,i.y,i.w,i.h));return t},v=function(e,t){var n;return n=[4],n.push8(t),n.push16(0),n.push32(e),n},m=function(e,t){var n;return n=[5],n.push8(tt),n.push16(e),n.push16(t),n},g=function(e){var t,n,r;t=[6],t.push8(0),t.push8(0),t.push8(0),t.push32(e.length),r=e.length;for(n=0;n<r;n+=1)t.push(e.charCodeAt(n));return t},t.connect=function(e,t,n,r){T=e,N=t,C=n!==undefined?n:"",k=r!==undefined?r:"";if(!T||!N)return s("Must set host and port");i("connect")},t.disconnect=function(){i("disconnect","Disconnecting")},t.sendPassword=function(e){C=e,L="Authentication",setTimeout(u,1)},t.sendCtrlAltDel=function(){if(L!=="normal"||n.view_only)return!1;Util.Info("Sending Ctrl-Alt-Del");var e=[];e=e.concat(v(65507,1)),e=e.concat(v(65513,1)),e=e.concat(v(65535,1)),e=e.concat(v(65535,0)),e=e.concat(v(65513,0)),e=e.concat(v(65507,0)),e=e.concat(d()),B.send(e)},t.sendKey=function(e,t){if(L!=="normal"||n.view_only)return!1;var r=[];typeof t!="undefined"?(Util.Info("Sending key code ("+(t?"down":"up")+"): "+e),r=r.concat(v(e,t?1:0))):(Util.Info("Sending key code (down + up): "+e),r=r.concat(v(e,1)),r=r.concat(v(e,0))),r=r.concat(d()),B.send(r)},t.clipboardPasteFrom=function(e){if(L!=="normal")return;B.send(g(e))},t.testMode=function(e,n){Z=!0,t.recv_message=B.testMode(e,n),x=function(){},t.connect=function(e,t,n){T=e,N=t,C=n,r(),i("ProtocolVersion","Starting VNC handshake")}},st()};