/*
 * noVNC: HTML5 VNC client
 * Copyright (C) 2012 Joel Martin
 * Licensed under MPL 2.0 (see LICENSE.txt)
 *
 * See README.md for usage and integration instructions.
 */
"use strict";var Util={};Array.prototype.push8=function(e){this.push(e&255)},Array.prototype.push16=function(e){this.push(e>>8&255,e&255)},Array.prototype.push32=function(e){this.push(e>>24&255,e>>16&255,e>>8&255,e&255)},Array.prototype.map||(Array.prototype.map=function(e){var t=this.length;if(typeof e!="function")throw new TypeError;var n=new Array(t),r=arguments[1];for(var i=0;i<t;i++)i in this&&(n[i]=e.call(r,this[i],i,this));return n}),window.requestAnimFrame=function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(e){window.setTimeout(e,1e3/60)}}(),Util._log_level="warn",Util.init_logging=function(e){typeof e=="undefined"?e=Util._log_level:Util._log_level=e,typeof window.console=="undefined"&&(typeof window.opera!="undefined"?window.console={log:window.opera.postError,warn:window.opera.postError,error:window.opera.postError}:window.console={log:function(e){},warn:function(e){},error:function(e){}}),Util.Debug=Util.Info=Util.Warn=Util.Error=function(e){};switch(e){case"debug":Util.Debug=function(e){console.log(e)};case"info":Util.Info=function(e){console.log(e)};case"warn":Util.Warn=function(e){console.warn(e)};case"error":Util.Error=function(e){console.error(e)};case"none":break;default:throw"invalid logging type '"+e+"'"}},Util.get_logging=function(){return Util._log_level},Util.init_logging(),Util.conf_default=function(e,t,n,r,i,s,o,u){var a,f;a=function(t){return s in{arr:1,array:1}&&typeof t!="undefined"?e[r][t]:e[r]},f=function(t,n){s in{"boolean":1,bool:1}?!t||t in{0:1,no:1,"false":1}?t=!1:t=!0:s in{integer:1,"int":1}?t=parseInt(t,10):s==="str"?t=String(t):s==="func"&&(t||(t=function(){})),typeof n!="undefined"?e[r][n]=t:e[r]=t},t[r+"_description"]=u,typeof t["get_"+r]=="undefined"&&(t["get_"+r]=a),typeof t["set_"+r]=="undefined"&&(t["set_"+r]=function(t,n){if(i in{RO:1,ro:1})throw r+" is read-only";if(i in{WO:1,wo:1}&&typeof e[r]!="undefined")throw r+" can only be set once";f(t,n)}),typeof n[r]!="undefined"?o=n[r]:s in{arr:1,array:1}&&!(o instanceof Array)&&(o=[]),f(o)},Util.conf_defaults=function(e,t,n,r){var i;for(i=0;i<r.length;i++)Util.conf_default(e,t,n,r[i][0],r[i][1],r[i][2],r[i][3],r[i][4])},Util.get_include_uri=function(){return typeof INCLUDE_URI!="undefined"?INCLUDE_URI:"include/"},Util._loading_scripts=[],Util._pending_scripts=[],Util.load_scripts=function(e){var t=document.getElementsByTagName("head")[0],n,r=Util._loading_scripts,i=Util._pending_scripts;for(var s=0;s<e.length;s++)n=document.createElement("script"),n.type="text/javascript",n.src=Util.get_include_uri()+e[s],n.onload=n.onreadystatechange=function(e){while(r.length>0&&(r[0].readyState==="loaded"||r[0].readyState==="complete")){var n=r.shift();t.appendChild(n)}(!this.readyState||Util.Engine.presto&&this.readyState==="loaded"||this.readyState==="complete")&&i.indexOf(this)>=0&&(this.onload=this.onreadystatechange=null,i.splice(i.indexOf(this),1),i.length===0&&window.onscriptsload&&window.onscriptsload())},Util.Engine.trident?r.push(n):(n.async=!1,t.appendChild(n)),i.push(n)},Util.getPosition=function(e){var t=0,n=0;if(e.offsetParent)do t+=e.offsetLeft,n+=e.offsetTop,e=e.offsetParent;while(e);return{x:t,y:n}},Util.getEventPosition=function(e,t,n){var r,i,s,o;r=e?e:window.event,r=r.changedTouches?r.changedTouches[0]:r.touches?r.touches[0]:r;if(r.pageX||r.pageY)i=r.pageX,s=r.pageY;else if(r.clientX||r.clientY)i=r.clientX+document.body.scrollLeft+document.documentElement.scrollLeft,s=r.clientY+document.body.scrollTop+document.documentElement.scrollTop;o=Util.getPosition(t),typeof n=="undefined"&&(n=1);var u=Math.max(Math.min(i-o.x,t.width-1),0),a=Math.max(Math.min(s-o.y,t.height-1),0);return{x:u/n,y:a/n}},Util.addEvent=function(e,t,n){if(e.attachEvent){var r=e.attachEvent("on"+t,n);return r}if(e.addEventListener)return e.addEventListener(t,n,!1),!0;throw"Handler could not be attached"},Util.removeEvent=function(e,t,n){if(e.detachEvent){var r=e.detachEvent("on"+t,n);return r}if(e.removeEventListener)return e.removeEventListener(t,n,!1),!0;throw"Handler could not be removed"},Util.stopEvent=function(e){e.stopPropagation?e.stopPropagation():e.cancelBubble=!0,e.preventDefault?e.preventDefault():e.returnValue=!1},Util.Features={xpath:!!document.evaluate,air:!!window.runtime,query:!!document.querySelector},Util.Engine={presto:function(){return window.opera?!0:!1}(),trident:function(){return window.ActiveXObject?window.XMLHttpRequest?document.querySelectorAll?6:5:4:!1}(),webkit:function(){try{return navigator.taintEnabled?!1:Util.Features.xpath?Util.Features.query?525:420:419}catch(e){return!1}}(),gecko:function(){return!document.getBoxObjectFor&&window.mozInnerScreenX==null?!1:document.getElementsByClassName?19:18}()},Util.Engine.webkit&&(Util.Engine.webkit=function(e){var t=new RegExp("WebKit/([0-9.]*) ");return e=(navigator.userAgent.match(t)||["",e])[1],parseFloat(e,10)}(Util.Engine.webkit)),Util.Flash=function(){var e,t;try{e=navigator.plugins["Shockwave Flash"].description}catch(n){try{e=(new ActiveXObject("ShockwaveFlash.ShockwaveFlash")).GetVariable("$version")}catch(r){e="0 r0"}}return t=e.match(/\d+/g),{version:parseInt(t[0]||"0."+t[1],10)||0,build:parseInt(t[2],10)||0}}();