INSERT INTO `hb_reports` (`id`, `type`, `name`, `query`, `options`, `handler`)
VALUES
	(NULL, 'Invoices', 'EU: Detailed VAT MOSS report', 'SELECT CONCAT(cd.firstname,\' \',cd.lastname) as `Customer Name`,\r\n CONCAT(cd.address1,\' \',cd.address2,\' \',cd.postcode,\' \',cd.city) as `Customer Address`,\r\n cd.country as `Country Code`,\r\n cd.id as `Customer ID`,\r\n i.paid_id as `Final Invoice ID`,\r\n DATE(i.datepaid) as `Date Paid`,\r\n i.total as `Total invoiced (Inc. VAT)`,\r\n i.subtotal as `Total invoiced (Excl. VAT)`,\r\n i.tax as `Total VAT collected`,\r\n i.taxrate as `Tax Rate`,\r\n GROUP_CONCAT(it.description) as `Invoiced items`,\r\n ca.ip as `Customer IP Address`,\r\n COALESCE(cur.code,sub.main_currency) as `Currency Code` \r\nFROM hb_invoices i \r\nINNER JOIN hb_invoice_items it ON it.invoice_id = i.id \r\nINNER JOIN hb_client_details cd ON cd.id = i.client_id \r\nINNER JOIN (SELECT value as main_currency, 0 as currency_id \r\nFROM hb_configuration \r\nWHERE\r\n setting = \'CurrencyCode\') sub ON sub.currency_id = 0 \r\nLEFT JOIN hb_currencies cur ON cur.id = i.currency_id \r\nLEFT JOIN hb_client_access ca ON ca.id = cd.id \r\nLEFT JOIN hb_orders o ON o.invoice_id = i.id \r\nWHERE\r\n i.paid_id != \'\' \r\nAND i.status = \'Paid\' \r\nAND YEAR(i.datepaid) = :year \r\nAND QUARTER(i.datepaid) = :quarter_number \r\nAND i.tax > 0 \r\nGROUP BY i.id \r\n\r\nORDER BY i.datepaid ASC', 1, 'sql'),
  (NULL, 'Invoices', 'EU: List final invoices in given period', 'SELECT i.paid_id as `Final Invoice ID`,\r\n DATE(i.datepaid) as `Invoice Date Paid`,\r\n i.client_id as `Client ID`,\r\n CONCAT(d.firstname,\' \',d.lastname) as `Client Name`,\r\n d.companyname as `Client Company Name`,\r\n v.value as `VAT ID`,\r\n d.country as `Client Country`,\r\n i.taxrate as `Tax1 rate`,\r\n i.tax as `Tax1 Amount`,\r\n i.subtotal as `Invoice Total without VAT`,\r\n i.total as `Invoice Total with VAT`,\r\n i.credit as `Invoice Credit`,\r\n i.status as `Invoice Status`,\r\n m.modname as `Gateway Name`,\r\n COALESCE(cur.code,sub.main_currency) as `Currency Code` \r\nFROM hb_invoices i \r\nINNER JOIN hb_client_details d ON (i.client_id = d.id) \r\nINNER JOIN hb_client_access ca ON (i.client_id = ca.id) \r\nINNER JOIN hb_client_fields_values v ON v.client_id = i.client_id \r\nINNER JOIN hb_client_fields f ON f.code = \'vateu\' \r\nAND v.field_id = f.id \r\nINNER JOIN (SELECT value as main_currency, 0 as currency_id \r\nFROM hb_configuration \r\nWHERE\r\n setting = \'CurrencyCode\') sub ON sub.currency_id = 0 \r\nLEFT JOIN hb_currencies cur ON cur.id = i.currency_id \r\nLEFT JOIN hb_modules_configuration m ON (m.id = i.payment_module) \r\nLEFT JOIN hb_currencies c ON (c.id = i.currency_id) \r\nLEFT JOIN hb_transactions t ON (t.invoice_id = i.id) \r\nWHERE\r\n i.id NOT IN (SELECT invoice_id \r\nFROM hb_invoice_items \r\nWHERE\r\n `type` = \'Invoice\') \r\nAND i.status NOT IN (\'Draft\', \'Creditnote\', \'Recurring\') \r\nAND i.`datepaid` >= :date_bottom \r\nAND i.`datepaid` <= :date_top \r\nAND i.paid_id != \'\' \r\n\r\nORDER BY i.datepaid ASC', 1, 'sql'),
  (NULL, 'Invoices', 'EU: List refunded invoices with Credit Notes', 'SELECT i.paid_id as `Final Invoice ID`,\r\n c.paid_id as `Credit note ID`,\r\n DATE(i.datepaid) as `Invoice Date Paid`,\r\n DATE(c.date) as `Invoice Refund Date`,\r\n i.client_id as `Client ID`,\r\n CONCAT(d.firstname,\' \',d.lastname) as `Client Name`,\r\n d.companyname as `Client Company Name`,\r\n v.value as `VAT ID`,\r\n d.country as `Client Country`,\r\n i.taxrate as `Tax1 rate`,\r\n i.tax as `Tax1 Amount`,\r\n c.subtotal as `Credit Note Total without VAT`,\r\n c.total as `Credit Note Total with VAT`,\r\n i.credit as `Invoice Credit`,\r\n i.status as `Invoice Status`,\r\n m.modname as `Gateway Name`,\r\n COALESCE(cur.code,sub.main_currency) as `Currency Code` \r\nFROM hb_invoices i \r\nINNER JOIN hb_creditnotes cr ON cr.invoice_id = i.id \r\nINNER JOIN hb_invoices c ON c.id = cr.credit_note_id \r\nINNER JOIN hb_client_details d ON (i.client_id = d.id) \r\nINNER JOIN hb_client_access ca ON (i.client_id = ca.id) \r\nINNER JOIN hb_client_fields_values v ON v.client_id = i.client_id \r\nINNER JOIN hb_client_fields f ON f.code = \'vateu\' \r\nAND v.field_id = f.id \r\nINNER JOIN (SELECT value as main_currency, 0 as currency_id \r\nFROM hb_configuration \r\nWHERE\r\n setting = \'CurrencyCode\') sub ON sub.currency_id = 0 \r\nLEFT JOIN hb_currencies cur ON cur.id = i.currency_id \r\nLEFT JOIN hb_modules_configuration m ON (m.id = i.payment_module) \r\nWHERE\r\n i.id NOT IN (SELECT invoice_id \r\nFROM hb_invoice_items \r\nWHERE\r\n `type` = \'Invoice\') \r\nAND i.status NOT IN (\'Draft\', \'Recurring\', \'Creditnote\') \r\nAND i.paid_id != \'\' \r\nAND i.`datepaid` >= :date_bottom \r\nAND i.`datepaid` <= :date_top \r\n\r\nORDER BY c.date ASC', 1, 'sql');
