INSERT INTO `hb_reports` (`id`, `type`, `name`, `query`, `options`, `handler`)
VALUES
	(NULL, 'Invoices', 'List of invoices with Paid status but with unpaid balance', 'SELECT DISTINCT i.id as `Invoice ID`,\r\n CONCAT(d.firstname,\' \',d.lastname) as `Client`,\r\n i.credit as `Invoice Credit`,\r\n i.total as `Invoice Total`,\r\n COALESCE(SUM(t.`in`),\'0.00\') as `Amount Paid`,\r\n CASE WHEN hbc.value = \'eu\' THEN DATE(i.datepaid) ELSE DATE(i.date) END as `Invoice Date`,\r\n m.modname as `Gateway Name`,\r\n taxrate as `Tax1 rate`,\r\n taxrate2 as `Tax2 rate`,\r\n tax as `Tax1 Amount`,\r\n tax2 as `Tax2 Amount`,\r\n i.rate as `Exchange Rate`,\r\n DATE(i.duedate) as `Invoice Due Date`,\r\n DATE(i.datepaid) as `Invoice Paid Date`,\r\n ca.email as `Client Email`,\r\n d.phonenumber as `Client Phone`,\r\n d.companyname as `Client Company`,\r\n d.city as `Client City`,\r\n d.country as `Client Country`,\r\n d.address1 as `Client Address`,\r\n d.postcode as `Client ZIP`,\r\n COALESCE(cur.code,sub.main_currency) as `Currency` \r\nFROM hb_invoices i \r\nINNER JOIN hb_client_details d ON (i.client_id = d.id) \r\nINNER JOIN hb_client_access ca ON (i.client_id = ca.id) \r\nINNER JOIN (SELECT value as main_currency, 0 as currency_id \r\nFROM hb_configuration \r\nWHERE\r\n setting = \'CurrencyCode\') sub ON sub.currency_id = 0 \r\nLEFT JOIN hb_currencies cur ON cur.id = i.currency_id \r\nLEFT JOIN hb_modules_configuration m ON (m.id = i.payment_module) \r\nLEFT JOIN hb_transactions t ON (t.invoice_id = i.id) \r\nLEFT JOIN hb_configuration hbc ON hbc.setting = \'InvoiceModel\' \r\nWHERE\r\n i.status IN (\'Paid\') \r\nAND ((hbc.value != \'eu\' \r\nAND i.`date` >= :date_bottom \r\nAND i.`date` <= :date_top) \r\nOR (hbc.value = \'eu\' \r\nAND i.`datepaid` >= :date_bottom \r\nAND i.`datepaid` <= :date_top)) \r\nGROUP BY i.id \r\nHAVING i.total > COALESCE(SUM(t.`in`),0) \r\n\r\nORDER BY i.id ASC', 1, 'sql');
