REPLACE INTO `hb_reports` (`id`, `type`, `name`, `query`, `options`, `handler`, `state`, `columns`)
VALUES
	(1001, 'Invoices', 'Monthly income', 'SELECT r.month as `Month`,\n COALESCE(SUM((t.`in` - t.`out`) / t.`rate`),0) as `Income` \nFROM hb_reports_day_range r \nLEFT JOIN hb_transactions t ON (r.range = MONTH(t.date) \nAND DATE(t.date) >= :date_bottom\nAND DATE(t.date) <= :date_top ) \nWHERE\n r.range < 13 \nGROUP BY `Month`,\n MONTH(t.date) \n\nORDER BY r.range ASC', 1, 'sql', 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:18:\"current-year-start\";s:9:\":date_top\";s:16:\"current-year-end\";}s:10:\"conditions\";a:0:{}s:6:\"output\";s:4:\"html\";}', 'a:2:{i:0;s:5:\"Month\";i:1;s:6:\"Income\";}'),
	(1000, 'Invoices', 'Daily income', 'SELECT r.range as `Day`,\n COALESCE(SUM((t.`in`  - t.`out`) / t.`rate`),0) as `Income` \nFROM hb_reports_day_range r \nLEFT JOIN hb_transactions t ON (r.range = DAY(t.date) \nAND DATE(t.date) >= :date_bottom \nAND DATE(t.date) <= :date_top) \nWHERE\n r.range < 32 \nGROUP BY `Day`,\n DAY(t.date) \n\nORDER BY `Day` ASC', 1, 'sql', 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:19:\"current-month-start\";s:9:\":date_top\";s:17:\"current-month-end\";}s:10:\"conditions\";a:0:{}s:6:\"output\";s:4:\"html\";}', 'a:2:{i:0;s:3:\"Day\";i:1;s:6:\"Income\";}'),
	(2000, 'Invoices', 'Monthly cumulative income', 'SELECT r.month as `Month`,\r\n @total := @total + COALESCE(t.income,0) as `Income` \r\nFROM hb_reports_day_range r \r\nLEFT JOIN (SELECT MONTH(date) as date, COALESCE(SUM((`in` -  `out`) / `rate`),0) as income \r\nFROM hb_transactions \r\nWHERE\r\n DATE(date) >= :date_bottom \r\nAND DATE(date) <= :date_top \r\nGROUP BY MONTH(date)) as t ON (r.range = t.date) \r\nINNER JOIN (SELECT @total := 0) as tx \r\nWHERE\r\n r.range < 13 \r\nGROUP BY `Month` \r\n\r\nORDER BY r.range ASC', 1, 'sql', '', ''),
	(2001, 'Invoices', 'Daily cumulative income', 'SELECT \r\n	r.range as `Day`,\r\n 	@total := @total + COALESCE(t.income,0)  AS `Income`\r\n\r\nFROM hb_reports_day_range r \r\n\r\nLEFT JOIN \r\n(\r\n	SELECT\r\n	DATE(date) as date,\r\n	COALESCE(SUM((`in` -  `out`) / `rate`),0) as income\r\n	FROM\r\n	hb_transactions \r\n	WHERE\r\n	 	DATE(date) >= :date_bottom\r\n	 AND\r\n		DATE(date) <= :date_top\r\n	GROUP BY DATE(date)\r\n) AS t ON (r.range = DAY(t.date))\r\nJOIN (SELECT @total:=0) AS tx\r\n\r\nWHERE\r\n r.range < 32 \r\nGROUP BY `Day`\r\n\r\nORDER BY `Day` ASC', 1, 'sql', 'a:3:{s:6:\"params\";a:2:{s:12:\":date_bottom\";s:19:\"current-month-start\";s:9:\":date_top\";s:17:\"current-month-end\";}s:10:\"conditions\";a:0:{}s:6:\"output\";s:4:\"html\";}', 'a:2:{i:0;s:3:\"Day\";i:1;s:6:\"Income\";}');
##########