INSERT INTO `hb_reports` (`id`, `type`, `name`, `query`, `options`, `handler`, `state`, `columns`, `displayname`)
VALUES
	(NULL, 'Invoices', 'Monthly Turnover by Client', 'SELECT cd.id as `Client ID`,\r\n CONCAT(cd.firstname,\' \',cd.lastname) as `Client`,\r\n sql_currency(COALESCE(ac.ac_total,0) + COALESCE(ad.ad_total,0) + COALESCE(am.am_total,0),cb.currency_id,1) as `TOTAL`,\r\n COALESCE(ac.ac_count_services,0) + COALESCE(ad.ad_count_services,0) + COALESCE(am.am_count_services,0) as `Active Services` \r\nFROM hb_client_details cd \r\nLEFT JOIN hb_client_billing cb ON (cd.id = cb.client_id) \r\nLEFT JOIN (SELECT 1ac.client_id, count(1ac.id) as ac_count_services, COALESCE(case when 1ac.billingcycle = \"Monthly\" then SUM(1ac.`total`) when 1ac.billingcycle = \"Quarterly\" then SUM(1ac.`total`) / 4 when 1ac.billingcycle = \"Semi-Annually\" then SUM(1ac.`total`) / 6 when 1ac.billingcycle = \"Annually\" then SUM(1ac.`total`) / 12 when 1ac.billingcycle = \"Biennially\" then SUM(1ac.`total`) / 24 when 1ac.billingcycle = \"Triennially\" then SUM(1ac.`total`) / 36 when 1ac.billingcycle = \"Quadrennially\" then SUM(1ac.`total`) / 48 when 1ac.billingcycle = \"Quinquennially\" then SUM(1ac.`total`) / 60 when 1ac.billingcycle = \"Daily\" then SUM(1ac.`total`) * 30 when 1ac.billingcycle = \"Weekly\" then SUM(1ac.`total`) / 7 * 30 when 1ac.billingcycle = \"Hourly\" then SUM(1ac.`total`) * 24 * 30 end,0) as ac_total \r\nFROM hb_accounts 1ac \r\nLEFT JOIN hb_client_billing 1cb ON (1ac.client_id = 1cb.client_id) \r\nWHERE\r\n 1ac.client_id = :client_id \r\nAND 1ac.status = \'Active\' \r\nAND 1ac.billingcycle NOT IN (\'Free\', \'One Time\') \r\nGROUP BY 1ac.client_id) ac ON (ac.client_id = cd.id \r\nOR ac.client_id IS NULL) \r\nLEFT JOIN (SELECT 2ac.client_id, count(2ad.id) as ad_count_services, COALESCE(case when 2ad.billingcycle = \"Monthly\" then SUM(2ad.recurring_amount) when 2ad.billingcycle = \"Quarterly\" then SUM(2ad.recurring_amount) / 4 when 2ad.billingcycle = \"Semi-Annually\" then SUM(2ad.recurring_amount) / 6 when 2ad.billingcycle = \"Annually\" then SUM(2ad.recurring_amount) / 12 when 2ad.billingcycle = \"Biennially\" then SUM(2ad.recurring_amount) / 24 when 2ad.billingcycle = \"Triennially\" then SUM(2ad.recurring_amount) / 36 when 2ad.billingcycle = \"Quadrennially\" then SUM(2ad.recurring_amount) / 48 when 2ad.billingcycle = \"Quinquennially\" then SUM(2ad.recurring_amount) / 60 when 2ad.billingcycle = \"Daily\" then SUM(2ad.recurring_amount) * 30 when 2ad.billingcycle = \"Weekly\" then SUM(2ad.recurring_amount) / 7 * 30 when 2ad.billingcycle = \"Hourly\" then SUM(2ad.recurring_amount) * 24 * 30 end,0) as ad_total \r\nFROM hb_accounts_addons 2ad \r\nINNER JOIN hb_accounts 2ac ON (2ac.id = 2ad.account_id) \r\nLEFT JOIN hb_client_billing 2cb ON (2ac.client_id = 2cb.client_id) \r\nWHERE\r\n 2ac.client_id = :client_id \r\nAND 2ac.status = \'Active\' \r\nAND 2ac.billingcycle NOT IN (\'Free\', \'One Time\') \r\nGROUP BY 2ac.client_id) ad ON (ad.client_id = cd.id \r\nOR ad.client_id IS NULL) \r\nLEFT JOIN (SELECT 3am.client_id, count(3am.id) as am_count_services, COALESCE(3am.recurring_amount / 3am.period / 12,0) as am_total \r\nFROM hb_domains 3am \r\nLEFT JOIN hb_client_billing 3cb ON (3am.client_id = 3cb.client_id) \r\nWHERE\r\n 3am.client_id = :client_id \r\nAND 3am.status = \'Active\' \r\nGROUP BY 3am.client_id) am ON (am.client_id = cd.id \r\nOR am.client_id IS NULL) \r\nWHERE\r\n cd.id = :client_id', 1, 'sql', '', '', 'Monthly Turnover by Client'),
	(NULL, 'Invoices', 'Monthly Turnover for all clients, normalized  by currency', 'SELECT cd.id as `Client ID`,\r\n CONCAT(cd.firstname,\' \',cd.lastname) as `Client`,\r\n sql_currency(COALESCE(ac.ac_total,0) + COALESCE(ad.ad_total,0) + COALESCE(am.am_total,0),cb.currency_id,1) as `Total value (Client currency)`,\r\n sql_currency(COALESCE(ac.ac_total,0) + COALESCE(ad.ad_total,0) + COALESCE(am.am_total,0),:currency,1) as `Total value (Normalized currency)`,\r\n COALESCE(ac.ac_count_services,0) + COALESCE(ad.ad_count_services,0) + COALESCE(am.am_count_services,0) as `Active Services` \r\nFROM hb_client_details cd \r\nLEFT JOIN hb_client_billing cb ON (cd.id = cb.client_id) \r\nLEFT JOIN (SELECT 1ac.client_id, count(1ac.id) as ac_count_services, COALESCE(case when 1ac.billingcycle = \"Monthly\" then SUM(1ac.`total`) when 1ac.billingcycle = \"Quarterly\" then SUM(1ac.`total`) / 4 when 1ac.billingcycle = \"Semi-Annually\" then SUM(1ac.`total`) / 6 when 1ac.billingcycle = \"Annually\" then SUM(1ac.`total`) / 12 when 1ac.billingcycle = \"Biennially\" then SUM(1ac.`total`) / 24 when 1ac.billingcycle = \"Triennially\" then SUM(1ac.`total`) / 36 when 1ac.billingcycle = \"Quadrennially\" then SUM(1ac.`total`) / 48 when 1ac.billingcycle = \"Quinquennially\" then SUM(1ac.`total`) / 60 when 1ac.billingcycle = \"Daily\" then SUM(1ac.`total`) * 30 when 1ac.billingcycle = \"Weekly\" then SUM(1ac.`total`) / 7 * 30 when 1ac.billingcycle = \"Hourly\" then SUM(1ac.`total`) * 24 * 30 end,0) as ac_total \r\nFROM hb_accounts 1ac \r\nLEFT JOIN hb_client_billing 1cb ON (1ac.client_id = 1cb.client_id) \r\nWHERE\r\n 1ac.status = \'Active\' \r\nAND 1ac.billingcycle NOT IN (\'Free\', \'One Time\') \r\nGROUP BY 1ac.client_id) ac ON (ac.client_id = cd.id \r\nOR ac.client_id IS NULL) \r\nLEFT JOIN (SELECT 2ac.client_id, count(2ad.id) as ad_count_services, COALESCE(case when 2ad.billingcycle = \"Monthly\" then SUM(2ad.recurring_amount) when 2ad.billingcycle = \"Quarterly\" then SUM(2ad.recurring_amount) / 4 when 2ad.billingcycle = \"Semi-Annually\" then SUM(2ad.recurring_amount) / 6 when 2ad.billingcycle = \"Annually\" then SUM(2ad.recurring_amount) / 12 when 2ad.billingcycle = \"Biennially\" then SUM(2ad.recurring_amount) / 24 when 2ad.billingcycle = \"Triennially\" then SUM(2ad.recurring_amount) / 36 when 2ad.billingcycle = \"Quadrennially\" then SUM(2ad.recurring_amount) / 48 when 2ad.billingcycle = \"Quinquennially\" then SUM(2ad.recurring_amount) / 60 when 2ad.billingcycle = \"Daily\" then SUM(2ad.recurring_amount) * 30 when 2ad.billingcycle = \"Weekly\" then SUM(2ad.recurring_amount) / 7 * 30 when 2ad.billingcycle = \"Hourly\" then SUM(2ad.recurring_amount) * 24 * 30 end,0) as ad_total \r\nFROM hb_accounts_addons 2ad \r\nINNER JOIN hb_accounts 2ac ON (2ac.id = 2ad.account_id) \r\nLEFT JOIN hb_client_billing 2cb ON (2ac.client_id = 2cb.client_id) \r\nWHERE\r\n 2ac.status = \'Active\' \r\nAND 2ac.billingcycle NOT IN (\'Free\', \'One Time\') \r\nGROUP BY 2ac.client_id) ad ON (ad.client_id = cd.id \r\nOR ad.client_id IS NULL) \r\nLEFT JOIN (SELECT 3am.client_id, count(3am.id) as am_count_services, COALESCE(3am.recurring_amount / 3am.period / 12,0) as am_total \r\nFROM hb_domains 3am \r\nLEFT JOIN hb_client_billing 3cb ON (3am.client_id = 3cb.client_id) \r\nWHERE\r\n 3am.status = \'Active\' \r\nGROUP BY 3am.client_id) am ON (am.client_id = cd.id \r\nOR am.client_id IS NULL) \r\n\r\nORDER BY cast(COALESCE(ac.ac_total,0) + COALESCE(ad.ad_total,0) + COALESCE(am.am_total,0) as decimal) DESC, `Active Services` DESC LIMIT :limit', 1, 'sql', '', '', 'Monthly Turnover for all clients, normalized  by currency');
##########
ALTER TABLE `hb_gateway_log` CHANGE `result` `result` ENUM('Successfull','Failure','Pending','Chargeback','Info')   NOT NULL  DEFAULT 'Info';
##########
REPLACE INTO `hb_configuration` VALUES ('ClientNotifications','["notify_login"]');
##########
REPLACE INTO `hb_language_locales` (`language_id`,`section`,`keyword`,`value`)
SELECT id, 'global', 'notify_setting','Notifications' FROM hb_language
UNION SELECT id, 'global', 'notify_login','Notify client about login' FROM hb_language WHERE target='admin'
UNION SELECT id, 'global', 'notify_login','Notify me when someone logs into this account' FROM hb_language WHERE target='user'
UNION SELECT id, 'global', 'Info','Info' FROM hb_language WHERE target='admin';