/*
 * jQuery File Upload User Interface Plugin 6.9.6
 * https://github.com/blueimp/jQuery-File-Upload
 *
 * Copyright 2010, Sebastian Tschan
 * https://blueimp.net
 *
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/MIT
 */

/*jslint nomen: true, unparam: true, regexp: true */
/*global define, window, document, URL, webkitURL, FileReader */
(function(e){"use strict";typeof define=="function"&&define.amd?define(["jquery","tmpl","load-image","./jquery.fileupload-fp"],e):e(window.jQuery,window.tmpl,window.loadImage)})(function(e,t,n){"use strict";var r=(e.blueimpFP||e.blueimp).fileupload;e.widget("blueimpUI.fileupload",r,{options:{autoUpload:!0,maxNumberOfFiles:undefined,maxFileSize:undefined,minFileSize:undefined,acceptFileTypes:/.+$/i,previewSourceFileTypes:/^image\/(gif|jpeg|png)$/,previewSourceMaxFileSize:5e6,previewMaxWidth:80,previewMaxHeight:80,previewAsCanvas:!0,uploadTemplateId:"template-upload",downloadTemplateId:"template-download",filesContainer:undefined,prependFiles:!1,dataType:"json",add:function(t,n){var r=e(this).data("fileupload"),i=r.options,s=n.files;e(this).fileupload("process",n).done(function(){r._adjustMaxNumberOfFiles(-s.length),n.maxNumberOfFilesAdjusted=!0,n.files.valid=n.isValidated=r._validate(s),n.context=r._renderUpload(s).data("data",n),i.filesContainer[i.prependFiles?"prepend":"append"](n.context),r._renderPreviews(s,n.context),r._forceReflow(n.context),r._transition(n.context).done(function(){r._trigger("added",t,n)!==!1&&(i.autoUpload||n.autoUpload)&&n.autoUpload!==!1&&n.isValidated&&n.submit()})})},send:function(t,n){var r=e(this).data("fileupload");if(!n.isValidated){n.maxNumberOfFilesAdjusted||(r._adjustMaxNumberOfFiles(-n.files.length),n.maxNumberOfFilesAdjusted=!0);if(!r._validate(n.files))return!1}return n.context&&n.dataType&&n.dataType.substr(0,6)==="iframe"&&n.context.find(".progress").addClass(!e.support.transition&&"progress-animated").attr("aria-valuenow",100).find(".bar").css("width","100%"),r._trigger("sent",t,n)},done:function(t,n){var r=e(this).data("fileupload"),i;n.context?n.context.each(function(s){var o=e.isArray(n.result)&&n.result[s]||{error:"Empty file upload result"};o.error&&r._adjustMaxNumberOfFiles(1),r._transition(e(this)).done(function(){var s=e(this);i=r._renderDownload([o]).replaceAll(s),r._forceReflow(i),r._transition(i).done(function(){n.context=e(this),r._trigger("completed",t,n)})})}):(e.isArray(n.result)&&(e.each(n.result,function(e,t){n.maxNumberOfFilesAdjusted&&t.error?r._adjustMaxNumberOfFiles(1):!n.maxNumberOfFilesAdjusted&&!t.error&&r._adjustMaxNumberOfFiles(-1)}),n.maxNumberOfFilesAdjusted=!0),i=r._renderDownload(n.result).appendTo(r.options.filesContainer),r._forceReflow(i),r._transition(i).done(function(){n.context=e(this),r._trigger("completed",t,n)}))},fail:function(t,n){var r=e(this).data("fileupload"),i;n.maxNumberOfFilesAdjusted&&r._adjustMaxNumberOfFiles(n.files.length),n.context?n.context.each(function(s){if(n.errorThrown!=="abort"){var o=n.files[s];o.error=o.error||n.errorThrown||!0,r._transition(e(this)).done(function(){var s=e(this);i=r._renderDownload([o]).replaceAll(s),r._forceReflow(i),r._transition(i).done(function(){n.context=e(this),r._trigger("failed",t,n)})})}else r._transition(e(this)).done(function(){e(this).remove(),r._trigger("failed",t,n)})}):n.errorThrown!=="abort"?(n.context=r._renderUpload(n.files).appendTo(r.options.filesContainer).data("data",n),r._forceReflow(n.context),r._transition(n.context).done(function(){n.context=e(this),r._trigger("failed",t,n)})):r._trigger("failed",t,n)},progress:function(e,t){if(t.context){var n=parseInt(t.loaded/t.total*100,10);t.context.find(".progress").attr("aria-valuenow",n).find(".bar").css("width",n+"%")}},progressall:function(t,n){var r=e(this),i=parseInt(n.loaded/n.total*100,10),s=r.find(".fileupload-progress"),o=s.find(".progress-extended");o.length&&o.html(r.data("fileupload")._renderExtendedProgress(n)),s.find(".progress").attr("aria-valuenow",i).find(".bar").css("width",i+"%")},start:function(t){var n=e(this).data("fileupload");n._transition(e(this).find(".fileupload-progress")).done(function(){n._trigger("started",t)})},stop:function(t){var n=e(this).data("fileupload");n._transition(e(this).find(".fileupload-progress")).done(function(){e(this).find(".progress").attr("aria-valuenow","0").find(".bar").css("width","0%"),e(this).find(".progress-extended").html("&nbsp;"),n._trigger("stopped",t)})},destroy:function(t,n){var r=e(this).data("fileupload");n.url&&(e.ajax(n),r._adjustMaxNumberOfFiles(1)),r._transition(n.context).done(function(){e(this).remove(),r._trigger("destroyed",t,n)})}},_enableDragToDesktop:function(){var t=e(this),n=t.prop("href"),r=t.prop("download"),i="application/octet-stream";t.bind("dragstart",function(e){try{e.originalEvent.dataTransfer.setData("DownloadURL",[i,r,n].join(":"))}catch(t){}})},_adjustMaxNumberOfFiles:function(e){typeof this.options.maxNumberOfFiles=="number"&&(this.options.maxNumberOfFiles+=e,this.options.maxNumberOfFiles<1?this._disableFileInputButton():this._enableFileInputButton())},_formatFileSize:function(e){return typeof e!="number"?"":e>=1e9?(e/1e9).toFixed(2)+" GB":e>=1e6?(e/1e6).toFixed(2)+" MB":(e/1e3).toFixed(2)+" KB"},_formatBitrate:function(e){return typeof e!="number"?"":e>=1e9?(e/1e9).toFixed(2)+" Gbit/s":e>=1e6?(e/1e6).toFixed(2)+" Mbit/s":e>=1e3?(e/1e3).toFixed(2)+" kbit/s":e+" bit/s"},_formatTime:function(e){var t=new Date(e*1e3),n=parseInt(e/86400,10);return n=n?n+"d ":"",n+("0"+t.getUTCHours()).slice(-2)+":"+("0"+t.getUTCMinutes()).slice(-2)+":"+("0"+t.getUTCSeconds()).slice(-2)},_formatPercentage:function(e){return(e*100).toFixed(2)+" %"},_renderExtendedProgress:function(e){return this._formatBitrate(e.bitrate)+" | "+this._formatTime((e.total-e.loaded)*8/e.bitrate)+" | "+this._formatPercentage(e.loaded/e.total)+" | "+this._formatFileSize(e.loaded)+" / "+this._formatFileSize(e.total)},_hasError:function(e){return e.error?e.error:this.options.maxNumberOfFiles<0?"maxNumberOfFiles":!this.options.acceptFileTypes.test(e.type)&&!this.options.acceptFileTypes.test(e.name)?"acceptFileTypes":this.options.maxFileSize&&e.size>this.options.maxFileSize?"maxFileSize":typeof e.size=="number"&&e.size<this.options.minFileSize?"minFileSize":null},_validate:function(t){var n=this,r=!!t.length;return e.each(t,function(e,t){t.error=n._hasError(t),t.error&&(r=!1)}),r},_renderTemplate:function(t,n){if(!t)return e();var r=t({files:n,formatFileSize:this._formatFileSize,options:this.options});return r instanceof e?r:e(this.options.templatesContainer).html(r).children()},_renderPreview:function(t,r){var i=this,s=this.options,o=e.Deferred();return(n&&n(t,function(t){r.append(t),i._forceReflow(r),i._transition(r).done(function(){o.resolveWith(r)}),e.contains(document.body,r[0])||o.resolveWith(r)},{maxWidth:s.previewMaxWidth,maxHeight:s.previewMaxHeight,canvas:s.previewAsCanvas})||o.resolveWith(r))&&o},_renderPreviews:function(t,n){var r=this,i=this.options;return n.find(".preview span").each(function(n,s){var o=t[n];i.previewSourceFileTypes.test(o.type)&&(e.type(i.previewSourceMaxFileSize)!=="number"||o.size<i.previewSourceMaxFileSize)&&(r._processingQueue=r._processingQueue.pipe(function(){var t=e.Deferred();return r._renderPreview(o,e(s)).done(function(){t.resolveWith(r)}),t.promise()}))}),this._processingQueue},_renderUpload:function(e){return this._renderTemplate(this.options.uploadTemplate,e)},_renderDownload:function(e){return this._renderTemplate(this.options.downloadTemplate,e).find("a[download]").each(this._enableDragToDesktop).end()},_startHandler:function(t){t.preventDefault();var n=e(this),r=n.closest(".template-upload"),i=r.data("data");i&&i.submit&&!i.jqXHR&&i.submit()&&n.prop("disabled",!0)},_cancelHandler:function(t){t.preventDefault();var n=e(this).closest(".template-upload"),r=n.data("data")||{};r.jqXHR?r.jqXHR.abort():(r.errorThrown="abort",t.data.fileupload._trigger("fail",t,r))},_deleteHandler:function(t){t.preventDefault();var n=e(this);t.data.fileupload._trigger("destroy",t,{context:n.closest(".template-download"),url:n.attr("data-url"),type:n.attr("data-type")||"DELETE",dataType:t.data.fileupload.options.dataType})},_forceReflow:function(t){return e.support.transition&&t.length&&t[0].offsetWidth},_transition:function(t){var n=e.Deferred();return e.support.transition&&t.hasClass("fade")?t.bind(e.support.transition.end,function(r){r.target===t[0]&&(t.unbind(e.support.transition.end),n.resolveWith(t))}).toggleClass("in"):(t.toggleClass("in"),n.resolveWith(t)),n},_initButtonBarEventHandlers:function(){var t=this.element.find(".fileupload-buttonbar"),n=this.options.filesContainer,r=this.options.namespace;t.find(".start").bind("click."+r,function(e){e.preventDefault(),n.find(".start button").click()}),t.find(".cancel").bind("click."+r,function(e){e.preventDefault(),n.find(".cancel button").click()}),t.find(".delete").bind("click."+r,function(e){e.preventDefault(),n.find(".delete input:checked").siblings("button").click(),t.find(".toggle").prop("checked",!1)}),t.find(".toggle").bind("change."+r,function(t){n.find(".delete input").prop("checked",e(this).is(":checked"))})},_destroyButtonBarEventHandlers:function(){this.element.find(".fileupload-buttonbar button").unbind("click."+this.options.namespace),this.element.find(".fileupload-buttonbar .toggle").unbind("change."+this.options.namespace)},_initEventHandlers:function(){r.prototype._initEventHandlers.call(this);var e={fileupload:this};this.options.filesContainer.delegate(".start button","click."+this.options.namespace,e,this._startHandler).delegate(".cancel button","click."+this.options.namespace,e,this._cancelHandler).delegate(".delete button","click."+this.options.namespace,e,this._deleteHandler),this._initButtonBarEventHandlers()},_destroyEventHandlers:function(){var e=this.options;this._destroyButtonBarEventHandlers(),e.filesContainer.undelegate(".start button","click."+e.namespace).undelegate(".cancel button","click."+e.namespace).undelegate(".delete button","click."+e.namespace),r.prototype._destroyEventHandlers.call(this)},_enableFileInputButton:function(){this.element.find(".fileinput-button input").prop("disabled",!1).parent().removeClass("disabled")},_disableFileInputButton:function(){this.element.find(".fileinput-button input").prop("disabled",!0).parent().addClass("disabled")},_initTemplates:function(){var e=this.options;e.templatesContainer=document.createElement(e.filesContainer.prop("nodeName")),t&&(e.uploadTemplateId&&(e.uploadTemplate=t(e.uploadTemplateId)),e.downloadTemplateId&&(e.downloadTemplate=t(e.downloadTemplateId)))},_initFilesContainer:function(){var t=this.options;t.filesContainer===undefined?t.filesContainer=this.element.find(".files"):t.filesContainer instanceof e||(t.filesContainer=e(t.filesContainer))},_stringToRegExp:function(e){var t=e.split("/"),n=t.pop();return t.shift(),new RegExp(t.join("/"),n)},_initRegExpOptions:function(){var t=this.options;e.type(t.acceptFileTypes)==="string"&&(t.acceptFileTypes=this._stringToRegExp(t.acceptFileTypes)),e.type(t.previewSourceFileTypes)==="string"&&(t.previewSourceFileTypes=this._stringToRegExp(t.previewSourceFileTypes))},_initSpecialOptions:function(){r.prototype._initSpecialOptions.call(this),this._initFilesContainer(),this._initTemplates(),this._initRegExpOptions()},_create:function(){r.prototype._create.call(this),this._refreshOptionsList.push("filesContainer","uploadTemplateId","downloadTemplateId"),e.blueimpFP||(this._processingQueue=e.Deferred().resolveWith(this).promise(),this.process=function(){return this._processingQueue})},enable:function(){var e=!1;this.options.disabled&&(e=!0),r.prototype.enable.call(this),e&&(this.element.find("input, button").prop("disabled",!1),this._enableFileInputButton())},disable:function(){this.options.disabled||(this.element.find("input, button").prop("disabled",!0),this._disableFileInputButton()),r.prototype.disable.call(this)}})})